commit 84591f0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 20 10:12:29 2016 +0100

  * Release v1.1.3

commit 9839813
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 9 17:28:47 2016 +0100

  * alsactl: Fix potential NULL dereferences in daemon mode

commit 9ea2a1d
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Dec 9 14:02:32 2016 +0100

  * INSTALL: document how to configure a build for installation in a
    local dir

commit 9f7a089
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 9 17:24:14 2016 +0100

  * Add alsaucm.1 to .gitignore

commit 20d3d03
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Dec 9 14:02:31 2016 +0100

  * alsaucm: add a man page, generated from reStructuredText

commit 59e3231
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Dec 9 14:02:30 2016 +0100

  * configure.ac: add a check for rst2man, a reStructuredText man page
    generator

commit b235b50
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Dec 9 14:02:29 2016 +0100

  * configure.ac: fix the check for xmlto availability

commit c21b3a4
Author: Antonio Ospite <ao2@ao2.it>
Date:   Fri Dec 9 14:02:28 2016 +0100

  * alsaucm: mention the "list1" command in the usage output

commit 55421af
Author: Arnaud Pouliquen <arnaud.pouliquen@st.com>
Date:   Wed Dec 7 17:44:26 2016 +0100

  * speaker-test: Fix chmap wav file selection.

commit d24a60b
Author: Jeeja KP <jeeja.kp@intel.com>
Date:   Mon Nov 28 22:02:00 2016 +0530

  * aplay: Fix to handle pause when system is suspended/Resumed

commit e61f35b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 18 13:57:19 2016 +0200

  * alsaloop: try adapt avail_min for playback to avoid 100% CPU usage

commit b597459
Author: Felipe F. Tonello <eu@felipetonello.com>
Date:   Tue Aug 30 17:02:48 2016 +0100

  * amidi: add sysex-interval option

commit 7b122fb
Author: Keqiao, Zhang <keqiao.zhang@intel.com>
Date:   Fri Aug 26 23:37:55 2016 +0800

  * alsabat: add system power management S3 test

commit cadd877
Author: Keqiao, Zhang <keqiao.zhang@intel.com>
Date:   Fri Aug 26 23:37:54 2016 +0800

  * alsabat: fix alsabat -86 error

commit 18a1ed8
Author: Focus Luo <focus.luo@linux.intel.com>
Date:   Tue Aug 23 00:16:50 2016 +0800

  * alsabat: add amixer config files

commit 0882d92
Author: Focus Luo <focus.luo@linux.intel.com>
Date:   Tue Aug 23 00:16:49 2016 +0800

  * alsabat: automation test scripts

commit a6e9a8d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Sat Aug 13 16:41:58 2016 +0200

  * amidi: fix timeout handling

commit 04322ca
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Sat Aug 13 16:41:23 2016 +0200

  * amidi: ignore not only Active Sensing but also Clock bytes

commit 675619e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 2 19:09:45 2016 +0200

  * Release v1.1.2

commit 81eb216
Author: Vinod Koul <vinod.koul@intel.com>
Date:   Tue Jul 19 14:35:09 2016 +0530

  * alsabat: make snr_is_valid static

commit 9dee2da
Author: Lu, Han <han.lu@intel.com>
Date:   Sun Jun 12 18:17:00 2016 +0800

  * alsabat: fix a missing break in switch

commit 0cfe406
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Jun 9 03:42:49 2016 +0800

  * alsabat: add noise detection

commit e1b7a5f
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Jun 9 03:42:48 2016 +0800

  * alsabat: add a single channel sine wave generator

commit e0c1c86
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Jun 9 03:42:47 2016 +0800

  * alsabat: add channels parameter for adjust_waveform()

commit 09cb66f
Author: Lu, Han <han.lu@intel.com>
Date:   Thu Jun 9 03:42:46 2016 +0800

  * alsabat: align the data type on float

commit 4157528
Author: vivian,zhang <vivian.zhang@intel.com>
Date:   Fri Jun 3 10:05:08 2016 +0800

  * alsabat: add round trip audio latency test

commit 2b3adf8
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Jun 1 16:54:28 2016 +0800

  * alsabat: fix a possible memory leak

commit 9e196ef
Author: vivian,zhang <vivian.zhang@intel.com>
Date:   Tue May 31 15:31:32 2016 +0800

  * alsabat: add buffer size and period size settings

commit 569f2c1
Author: Lu, Han <han.lu@intel.com>
Date:   Sun Apr 17 09:26:45 2016 +0800

  * alsabat: add terminate status check for capture thread

commit 85827fb
Author: David Fries <David@Fries.net>
Date:   Wed Apr 13 23:32:46 2016 -0500

  * aplay: fix lurking capture file overwrite bug

commit 96db90e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 31 16:37:02 2016 +0200

  * Release v1.1.1

commit d1de8fc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 31 16:35:26 2016 +0200

  * alsa-info: add alsa-info.sh.1 to EXTRA_DIST

commit f51cb72
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:47 2016 +0800

  * alsabat: add tinyalsa support

commit 986db20
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:46 2016 +0800

  * alsabat: move alsa process to a single block

commit c49a618
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:45 2016 +0800

  * alsabat: use general data generator function

commit eac9b14
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:44 2016 +0800

  * alsabat: clean return value for playback and capture threads

commit 2c37a6f
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:43 2016 +0800

  * alsabat: use general function for wav header update

commit 241d7fc
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Mar 23 15:52:42 2016 +0800

  * alsabat: refactoring alsa capture thread

commit c5b022e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 22 16:53:30 2016 +0100

  * alsactl: init/ca0106, init/hda - use CTL{values} instead CTL{value}

commit 3ad94da
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 22 16:50:31 2016 +0100

  * alsactl: remove debug line in set_ctl_values()

commit 98de9f7
Author: Lu, Han <han.lu@intel.com>
Date:   Mon Mar 21 19:05:49 2016 +0800

  * alsabat: use variable for thread return value

commit f2f6583
Author: Lu, Han <han.lu@intel.com>
Date:   Mon Mar 21 19:05:48 2016 +0800

  * alsabat: fix fopen and messages

commit bd6c706
Author: Lu, Han <han.lu@intel.com>
Date:   Mon Mar 21 19:05:47 2016 +0800

  * alsabat: fix misusing of errno

commit f84c15c
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Mar 15 11:18:54 2016 +0800

  * alsabat: add bash test script

commit 72800ad
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Mar 15 11:18:53 2016 +0800

  * alsabat: add standalone mode

commit 333cd85
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Mar 15 11:18:52 2016 +0800

  * alsabat: add default device name for playback and capture

commit b5c0660
Author: erwin <nebelbank@posteo.de>
Date:   Fri Mar 11 11:40:30 2016 +0000

  * aplay/arecord: handle parsing errors of parameter values

commit ccc108f
Author: Martin Koegler <martin.koegler@chello.at>
Date:   Tue Mar 8 23:06:47 2016 +0100

  * aconnect: Show sequencer sound card numer/PID via aconnect

commit 380c9fa
Author: Lu, Han <han.lu@intel.com>
Date:   Mon Feb 29 10:33:45 2016 +0800

  * alsabat: truncate sample frames for faster FFT analysis

commit 84fa5bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 3 08:50:28 2016 +0100

  * Update .gitignore

commit 9fa7f6f
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Feb 3 14:20:33 2016 +0800

  * alsabat: rename to avoid naming conflict

commit 18d5f52
Author: Vinod Koul <vinod.koul@intel.com>
Date:   Thu Jan 28 14:02:18 2016 +0530

  * amixer: skip showing asoc tlv byte controls

commit d633469
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 13 09:46:31 2016 +0100

  * alsa-info.sh: add man page

commit ed0cce1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 9 14:09:50 2015 +0100

  * bat: Don't pass incompatible function pointers to
    pthread_cleanup_push()

commit 3bf8e79
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 9 14:04:11 2015 +0100

  * bat: Avoid local signal.h file

commit d5a6829
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 27 17:34:26 2015 +0100

  * Release v1.1.0

commit 47e668f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 27 17:32:51 2015 +0100

  * bat: add all headers to noinst_HEADERS

commit bc352df
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 27 17:15:58 2015 +0100

  * bat: don't link all binaries with fftw library, add missing header

commit 9b757e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 27 16:09:30 2015 +0100

  * configure.ac: check for fftw3/m(sqrtf)/pthread only when BAT is
    enabled

commit 0960094
Author: Caleb Crome <caleb@crome.org>
Date:   Fri Oct 23 17:46:09 2015 +0000

  * BAT: Add missing locale.h header

commit 73f9dd1
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Oct 21 14:53:27 2015 +0800

  * BAT: Add man page

commit 2abee9c
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Oct 20 16:45:48 2015 +0800

  * BAT: Use dynamic temp file

commit 5a48606
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Oct 20 16:45:47 2015 +0800

  * BAT: Change comments and interface of usage()

commit 8c91083
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Oct 20 16:45:46 2015 +0800

  * BAT: Use colon instead of comma for separation

commit 2d0a124
Author: Lu, Han <han.lu@intel.com>
Date:   Tue Oct 20 16:45:45 2015 +0800

  * BAT: Remove redundant message strings

commit c0130c8
Author: Mike Frysinger <vapier@chromium.org>
Date:   Thu Oct 8 12:14:05 2015 -0400

  * build: Do not try to detect cross-compiler

commit 6fb0f5b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 2 12:47:25 2015 +0200

  * Add bat binary to .gitignore

commit 2f52d5b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 2 12:47:03 2015 +0200

  * Add compile to .gitignore

commit 226ad88
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:55 2015 +0800

  * BAT: Add Makefile and configures

commit d727c9d
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:54 2015 +0800

  * BAT: Add spectrum analysis functions

commit 6c4c5e5
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:53 2015 +0800

  * BAT: Add converting functions

commit 34e9ae9
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:52 2015 +0800

  * BAT: Add signal generator

commit 0585091
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:51 2015 +0800

  * BAT: Add playback and record functions

commit cba9050
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:50 2015 +0800

  * BAT: Add common definitions and functions

commit c7e0c35
Author: Lu, Han <han.lu@intel.com>
Date:   Wed Sep 23 15:48:49 2015 +0800

  * BAT: Add initial functions

commit 7d6673c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 29 17:26:34 2015 +0200

  * alsactl: Manage both save and restore in a single unit

commit cd1bb5f
Author: Ricard Wanderlof <ricard.wanderlof@axis.com>
Date:   Tue Sep 15 13:10:00 2015 +0200

  * aplay: fix VU meter for S24_LE etc formats

commit 5f0fc49
Author: Alexander Volkov <a.volkov@rusbitech.ru>
Date:   Mon Sep 21 16:05:57 2015 +0300

  * arecord: Remove only regular files

commit 4482cc7
Author: Ken Benoit <kbenoit@redhat.com>
Date:   Thu Sep 17 15:06:38 2015 -0400

  * speaker-test: fix option ordering

commit 0e864e1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 10 14:42:24 2015 +0200

  * alsactl: Add path condition to alsa-store and alsa-restore services

commit ff9b070
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 4 18:26:40 2015 +0200

  * alsaucm: Drop localbuild hacks

commit a99d427
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 4 17:46:02 2015 +0200

  * Add topology/alsatplg to .gitignore

commit 665d980
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>
Date:   Tue Aug 4 16:23:03 2015 +0100

  * topology: Add command line topology tool to build topology binaries

commit 791ae1c
Author: Julian Scheel <julian@jusst.de>
Date:   Tue Jun 30 08:57:49 2015 +0200

  * speaker-test: Add option to specify signal scale

commit 13c8269
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Jul 11 13:23:57 2015 +0200

  * alsactl: terminate readlink result string

commit 46b6082
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 29 18:01:58 2015 +0200

  * aplay: Fix uninterruptible aplay

commit 9aa5c27
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 29 18:01:07 2015 +0200

  * aplay: Fix type for signal flag

commit 8188c24
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 27 21:27:05 2015 +0200

  * alsa-info: Don't try update when wget isn't available

commit f3abdee
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Date:   Thu Apr 9 01:30:56 2015 +0900

  * amixer: expand local storage for item name according to kernel code

commit 1a19ec1
Author: Peter Meerwald <p.meerwald@bct-electronic.com>
Date:   Tue Mar 3 18:39:52 2015 +0100

  * amixer: Don't set only the first item in sset_enum()

commit 85c622e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 26 15:49:40 2015 +0100

  * Release v1.0.29

commit d9021f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 26 15:47:27 2015 +0100

  * alsa-info.sh: add script to EXTRA_DIST (automake)

commit 5547065
Author: Matthieu Crapet <Matthieu.Crapet@ingenico.com>
Date:   Wed Jan 14 15:44:19 2015 +0100

  * configure: allow contitional compilation of alsaucm

commit e1745a6
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Jan 12 16:48:38 2015 +0100

  * alsactl/init: Add "Line Out" to list of outputs to initialize

commit d522b45
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Jan 12 16:48:37 2015 +0100

  * alsactl/init: Change the "basic rules" description

commit 55d41b7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 24 20:15:26 2014 +0100

  * alsactl: add missing state_unlock() call

commit 088593c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Nov 23 10:04:24 2014 +0100

  * amixer: Parse the value more strictly

commit 45a334e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sun Nov 23 09:40:07 2014 +0100

  * amixer: Make "dB" case-insensitive in set commands

commit 8f361d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 1 15:43:57 2014 +0200

  * Revert "aplay: fix pcm_read() return value"

commit 89a4f49
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 24 10:52:17 2014 +0200

  * alsactl: coverity - missing_va_end – va_end was not called for "ap"

commit 17d4a5d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 24 10:50:54 2014 +0200

  * monitor: fix clang warning - Declared variable-length array (VLA)
    has zero size

commit da7a2f9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 24 10:47:48 2014 +0200

  * speaker-text: fix simple signess assignment warning

commit 74e5d57
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 24 10:46:02 2014 +0200

  * alsactl: aded missing monitor() prototype

commit 1363f85
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 24 10:35:53 2014 +0200

  * alsactl: Fix the file locking routines (for the state management)

commit f58ce36
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 16 16:36:44 2014 +0200

  * speaker-test: Add missing draining at the end

commit 808af5f
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Aug 22 10:31:41 2014 +0200

  * alsa-info: Refactor "withall" logic

commit 4f569af
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Aug 22 10:31:40 2014 +0200

  * alsa-info: Make sure all full script is run even with "output"
    option

commit 5e5fe9e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 12 16:19:06 2014 +0200

  * Add missing alsa-info entry to the root Makefile.am

commit 87a9446
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 30 12:18:07 2014 +0200

  * Add alsa-info.sh to alsa-utils repo

commit c788ce9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 25 10:49:23 2014 +0200

  * alsamixer: include missing mixer_controls.h

commit 03a652e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 25 10:47:21 2014 +0200

  * alsactl: save state - do not call rename for stdio

commit 6f9835f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 13 19:21:05 2014 +0200

  * Release v1.0.28

commit a9705ca
Author: Sergey <sergemp@mail.ru>
Date:   Fri Jun 13 05:28:49 2014 +0400

  * aplay: Fix VU-meter stdout/stderr mess

commit 3a7c1c5
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jun 13 11:31:44 2014 +0200

  * alsactl: Fixup test for mydatadir/sbindir

commit be4565c
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jun 13 10:04:25 2014 +0200

  * alsactl: Do not run udev rule before datadir/sbindir are both
    mounted

commit c06dbf0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 13 10:52:26 2014 +0200

  * aplay/arecord: Add more in_aborting checks to read/write loops

commit 3775524
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 12 10:48:22 2014 +0200

  * configure.ac: cosmetic change

commit 158a67f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 11:13:41 2014 +0200

  * alsactl: add -L (no-lock) and change -D (lock-dir) to -O
    (state-lock-file)

commit 504348c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 09:49:52 2014 +0200

  * Modernize configure.ac

commit 6d7dfb4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 09:46:08 2014 +0200

  * configure.in -> configure.ac rename

commit 0a6c9e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 09:43:45 2014 +0200

  * Makefiles - use AM_CPPFLAGS instead INCLUDES

commit 3f9712b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 09:29:16 2014 +0200

  * update the gettext configuration

commit 24a7b2f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 7 09:19:36 2014 +0200

  * configure: add --with-lock-dir option

commit 2607d8d
Author: Julian Scheel <julian@jusst.de>
Date:   Tue May 6 21:32:19 2014 +0200

  * alsactl: Store lockfile in /var/lock, add -D option to specify the
    lock dir

commit 0d46081
Author: Karl Bongers <karlbongers@gmail.com>
Date:   Tue May 6 23:06:47 2014 -0500

  * fix aconnect -l option

commit b7ed45a
Author: Erik Ackermann <kurterikackermann@gmail.com>
Date:   Wed Feb 26 06:52:29 2014 -0800

  * speaker-test: update man page for new -X arg, also consistency fixes

commit 3b1ee6b
Author: Erik Ackermann <kurterikackermann@gmail.com>
Date:   Tue Feb 25 11:45:24 2014 -0800

  * speaker-test: add --force-frequency option to allow hz outside range

commit 360878f
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Tue Jan 21 15:25:12 2014 -0500

  * aplay: fix timespec to msec conversion

commit ef0e588
Author: Dave Reisner <dreisner@archlinux.org>
Date:   Sun Jan 12 11:15:52 2014 -0500

  * alsa-restore.rules: refer to correct attr

commit 8aa13ee
Author: Olivier Langlois <olivier@trillion01.com>
Date:   Tue Jan 7 23:18:17 2014 -0500

  * aplay: fix pcm_read() return value

commit f4be3f8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 29 20:03:21 2013 +0100

  * alsactl: Fix the va_list initialization in cerror_() and dbg_()

commit 5dfc232
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 26 14:27:30 2013 +0100

  * alsactl: monitor all cards as default

commit bb3293c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 26 13:59:19 2013 +0100

  * alsactl: Fix REMOVE event handling in monitor command

commit d2d9b6f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 26 11:44:40 2013 +0100

  * alsactl: Add monitor command

commit 7d0c280
Author: Ivailo Monev <xakepa10@gmail.com>
Date:   Sat Nov 16 14:00:19 2013 +0000

  * configure: detect udevdir via pkg-config, fallback to
    /lib/udev/rules.d

commit 54a459a
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Nov 13 13:23:48 2013 -0500

  * alsaconf: update gentoo to use modprobe.d method as everyone else

commit df875c6
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Nov 13 13:23:47 2013 -0500

  * alsaconf: support newer m-i-t and kmod

commit 58752c3
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Sun Nov 10 20:29:19 2013 +0200

  * speaker-test: Show out-of-chmap channels as Unknown

commit 5b0c6da
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Sun Nov 10 20:29:18 2013 +0200

  * speaker-test: Always show chmap channel names if available

commit a199204
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Tue Nov 12 00:04:02 2013 +0200

  * speaker-test: Fix chmapped channel selection without specified chmap

commit 0616d87
Author: John Spencer <maillist-alsa@barfooze.de>
Date:   Fri Nov 8 13:59:41 2013 +0100

  * alsaloop: pcmjob.c: use portable way to initialize recursive mutex

commit f1e991e
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Tue Oct 1 23:46:53 2013 +0300

  * amixer: fix indentation when printing container TLV contents

commit 180283e
Author: Anssi Hannula <anssi.hannula@iki.fi>
Date:   Mon Sep 30 23:46:50 2013 +0300

  * amixer: actually print all TLVs in a container TLV

commit 87bcda4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 26 16:16:00 2013 +0200

  * alsaloop: add -z,--syslog option to use syslog for errors

commit 719faff
Author: Jurgen Kramer <gtmkramer@xs4all.nl>
Date:   Mon Sep 9 12:02:29 2013 +0200

  * aplay: fix two off by one errors

commit 8f57464
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 23 14:57:05 2013 +0200

  * alsaloop: fix wrong alias for signal.h

commit dda4392
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 19 14:36:52 2013 +0200

  * alsactl: alsa-state.service - fix typo (rkill -> kill)

commit 2e1718a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 9 17:28:37 2013 +0200

  * Release v1.0.27.2

commit 7ac9508
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Jun 10 16:42:48 2013 +0200

  * speaker-test: Fix wrong wave file played back in chmap setup

commit 9fe90a0
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jun 14 11:41:01 2013 +0200

  * amixer: Print TLV of channel map controls

commit c80a38d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 28 08:43:30 2013 +0200

  * amixer: fix print_dB for -0.99 .. -0.01 range

commit d61924f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 27 16:40:26 2013 +0200

  * amixer: Fix the hctl elem search bug

commit c0f70a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 27 09:26:39 2013 +0200

  * alsactl: return back the udevrules_DATA rule for
    90-alsa-restore.rules

commit 121df36
Author: Gabriel M. Beddingfield <gabrbedd@gmail.com>
Date:   Sun May 26 15:54:44 2013 -0700

  * alsactl init: ca0106 file was omitted

commit 2f25765
Author: Jordi Mallach <jordi@debian.org>
Date:   Fri May 17 14:30:46 2013 +0200

  * Require alsa-lib 1.0.27.

commit 5bdfa4c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 21 10:48:28 2013 +0200

  * Release v1.0.27.1

commit 4485590
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 21 10:27:25 2013 +0200

  * alsactl: remove 90-alsa-restore.rules from the tar ball

commit 50ce9ad
Author: Jordi Mallach <jordi@debian.org>
Date:   Wed May 15 19:12:57 2013 +0200

  * Add AM_MAINTAINER_MODE([enable]) to configure.in.

commit f2f5f7a
Author: Jordi Mallach <jordi@debian.org>
Date:   Wed May 15 19:12:56 2013 +0200

  * Fix a build failure due to a misused format string.

commit 093a371
Author: Jordi Mallach <jordi@debian.org>
Date:   Wed May 15 19:12:55 2013 +0200

  * Several formatting fixes for manpages.

commit 48554fc
Author: Elimar Riesebieter <riesebie@lxtec.de>
Date:   Wed May 15 19:12:54 2013 +0200

  * Fix several typos in manpage and help strings.

commit 888275e
Author: Doug Goldstein <cardoe@cardoe.com>
Date:   Wed May 1 11:30:26 2013 -0500

  * alsactl: sprintf to snprintf prevent buffer overflow

commit b4f34ac
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 17 08:34:34 2013 +0200

  * arecord: add a missing break to the capture loop

commit 95788fe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 15 14:44:13 2013 +0200

  * alsactl: Fix the string size for the lock file contents

commit 3616b1f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 15 11:20:41 2013 +0200

  * alsactl: Fix a typo in systemd alsa-restore.service

commit 3e95cb8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 11 13:43:06 2013 +0200

  * Release v1.0.27

commit c3a31af
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 10 11:08:47 2013 +0200

  * alsactl: add --with-alsactl-daemonswitch=FILE to the global
    configure.in

commit 8b34bf2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 10 10:23:16 2013 +0200

  * alsactl: revert back old systemd static units with the
    /etc/alsa/state-daemon.conf switch

commit 611249a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 10 09:42:40 2013 +0200

  * alsactl: add --nice and --sched-idle options

commit e2eab09
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 9 18:38:58 2013 +0200

  * amixer: Use the alsa-lib functions for id print and parse and value
    parse

commit 9cb5e5b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 9 18:10:22 2013 +0200

  * alsactl: daemon mode - remove disconnected cards

commit e05b903
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 14:49:31 2013 +0200

  * alsactl: move systemd config to the daemon mode

commit 46cb355
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 13:57:51 2013 +0200

  * speaker-test: change the interrupt handling logic to follow
    aplay/arecord

commit 1d0042d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 13:30:54 2013 +0200

  * aplay/arecord: change the interrupt handling using snd_pcm_abort()

commit ffaff06
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 8 11:31:45 2013 +0200

  * alsactl: add event filter and cache for the daemon mode

commit 067f4f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 5 13:42:15 2013 +0200

  * alsactl: Improved command line argument handling...

commit cc5c335
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 5 11:51:51 2013 +0200

  * alsactl: add the daemon mode

commit b95dd7e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 3 11:57:52 2013 +0200

  * alsactl: small code reorder to avoid memory leaks

commit e3e85a8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 3 11:13:41 2013 +0200

  * alsactl: safe state store and memory allocation cleanups

commit 6de3c70
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 22 13:21:25 2013 +0100

  * aplay/arecord: added isatty() check (interactive mode)

commit 741064c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 22 13:59:31 2013 +0100

  * speaker-test: try to call snd_pcm_close() when a signal is received

commit 5622f3b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 22 13:27:26 2013 +0100

  * alsamixer: Use isatty() to check the terminal (interactive)
    availability

commit bfcb26f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 31 17:47:50 2013 +0100

  * amixer: Fix dB value outputs in amixer contents

commit cd39cfb
Author: Antonio Ospite <ao2@amarulasolutions.com>
Date:   Wed Jan 16 17:06:04 2013 +0100

  * speaker-test: increase the maximum supported rate to 384000

commit 66d1cf7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 16 15:25:38 2013 +0100

  * configure: Fix obsolete AM_CONFIG_HEADER macro

commit de61ec6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 13 10:53:19 2012 +0100

  * aplay: Add the support for big-endian WAV format (RIFX)

commit c7b9d3e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 14:53:12 2012 +0100

  * alsaloop: Fix missing #endif

commit b7ea343
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 14:35:31 2012 +0100

  * alsaloop: Make alsaloop working without libsamplerate

commit d6da861
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 26 16:13:57 2012 +0100

  * amixer: Fix parsing container TLV entries

commit da1c24a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Nov 13 21:54:20 2012 +0100

  * amixer: fix rounding of relative changes

commit c6614db
Author: Fabio Estevam <fabio.estevam@freescale.com>
Date:   Tue Nov 13 10:05:39 2012 -0200

  * aplay: Show usage if no parameter is passed

commit f282607
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Oct 19 12:16:33 2012 +0200

  * alsamixer: fix handling of removed controls

commit 6017849
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 24 16:18:54 2012 +0200

  * aplay: fix typo & silence warning..

commit 7b14c00
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 20 14:00:02 2012 +0200

  * speaker-test: Update man page for chmap option

commit 000bf23
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 20 13:53:46 2012 +0200

  * aplay: More support for channel map option

commit a9add22
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 11 12:20:55 2012 +0200

  * aplay: Add support for channel mapping

commit 951cb2c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Sep 11 11:36:45 2012 +0200

  * speaker-test: Add support for channel mapping API

commit b9deb6d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 6 09:52:57 2012 +0200

  * Release v1.0.26

commit 5dcd523
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:45:35 2012 +0530

  * build: Don't call AC_CHECK_FUNC with --disable-alsatest

commit 16bc934
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:45:34 2012 +0530

  * aplay: Use open() instead of open64()

commit ae0a7d6
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>
Date:   Tue Jul 17 15:45:33 2012 +0530

  * aplay: Fix signal.h include

commit 2b31992
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 15 16:34:55 2012 +0200

  * aseqnet: Remove obsoleted .LO entry from man page

commit c311157
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 14 16:14:29 2012 +0200

  * alsactl: Add reference to alsactl_init(7) in alsactl man page

commit c68a3d0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 14 13:14:48 2012 +0200

  * alsactl: Read only *.conf files when a directory is passed via
    INCLUDE

commit b72e221
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 13 13:24:01 2012 +0200

  * alsaloop: fix the avail_min setup

commit 6bbeb78
Author: Jerome Carretero <cJ@zougloub.eu>
Date:   Sat May 5 23:10:01 2012 -0400

  * aplay: print vu-meter to stderr, not stdout

commit f7eb87d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 9 08:45:47 2012 +0200

  * alsactl: Do not access other cards than specified for init

commit 05d3bed
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Apr 18 10:29:18 2012 -0400

  * configure.in: use AS_HELP_STRING everywhere

commit 3a25a31
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Wed Apr 18 10:25:54 2012 -0400

  * configure.in: look for ncurses pkg-config first

commit 8824d08
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 19 16:03:33 2012 +0100

  * amixer, alsamixer: Add description of volume-mapping

commit 658c3cf
Author: Ben Gardiner <bengardiner@nanometrics.ca>
Date:   Thu Mar 15 23:51:02 2012 -0400

  * aplay/arecord: option to treat any xrun as fatal

commit a2b6685
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 12 10:56:22 2012 +0100

  * amixer: Add the support for mapped volumes like alsamixer

commit 2d105e0
Author: Pavel Hofman <pavel.hofman@ivitera.com>
Date:   Mon Mar 5 21:27:00 2012 +0000

  * aplay - option to dump HW parameters

commit 53107e1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 20 16:41:19 2012 +0100

  * alsaloop: Improve xrun_sync - fill missing playback samples

commit cefe6f2
Author: Vikram Narayanan <vikram186@gmail.com>
Date:   Sat Feb 18 20:53:56 2012 +0530

  * Remove the cvscompile file

commit d5b6ecb
Author: Vikram Narayanan <vikram186@gmail.com>
Date:   Sat Feb 11 13:47:48 2012 +0530

  * Trivial fixes in INSTALL file

commit 5b91ee7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 6 14:58:03 2012 +0100

  * Fix the examples in aplay.1

commit 1df699b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 25 10:43:38 2012 +0100

  * Release v1.0.25

commit dc02bd4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 25 10:40:25 2012 +0100

  * aplay: Add backward compatible endian macro definitions

commit 7d33af8
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Wed Jan 11 17:45:14 2012 +0100

  * Alsa-utils: Fix typo causing some volumes not to be initialized

commit 9fa7cd2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 4 17:01:57 2011 +0100

  * alsactl: Initialize Front Speaker, etc

commit 8f7b63b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Nov 2 19:44:12 2011 +0100

  * aplaymidi: clarify multi-port documentation

commit 4c09aaa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 2 17:27:47 2011 +0100

  * alsamixer: Fix X-win related crash for PulseAudio plugin (bad
    linking)

commit af0bf78
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Wed Oct 12 19:37:57 2011 +0200

  * aplay: Fix spelling error

commit 5a6ca47
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Oct 7 23:16:35 2011 +0200

  * alsactl: add support for recreating enumerated user controls

commit e80b015
Author: Michał Górny <mgorny@gentoo.org>
Date:   Wed Aug 31 22:27:10 2011 +0200

  * fix use of $(SED)

commit 0131ab6
Author: Tim Blechmann <tim@klingt.org>
Date:   Wed Jun 29 09:44:06 2011 +0200

  * aplay: increase channel limit to 256

commit 8709ffe
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Thu Jun 16 14:19:18 2011 +0200

  * alsa-utils: amixer: Fix SND_CTL_TLVT_DB_RANGE handling

commit 471191a
Author: Daniel T Chen <crimsun@ubuntu.com>
Date:   Sat Jun 4 17:44:43 2011 -0400

  * speaker-test.1: Clarify man page by giving examples

commit 36d642f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 14:35:44 2011 +0200

  * aplay: Use standard endian convesions

commit ce2d64b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 14:30:55 2011 +0200

  * aplay: Add include files for mkdir()

commit 3bea722
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 14:28:28 2011 +0200

  * alsamixer: Fix 64bit issues

commit ac2be7b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 14:24:30 2011 +0200

  * Updated COPYING with the recent FSF address

commit 2a627cf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 14:21:53 2011 +0200

  * alsaloop: Use AM_CFLAGS in Makefile.am

commit c8415ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 12:45:13 2011 +0200

  * Add alsaucm to .gitignore

commit a3ebe64
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 12:44:17 2011 +0200

  * aplay: Avoid recursive signal handling

commit d67a965
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 3 12:41:26 2011 +0200

  * aplay: Add -i option for interactive mode

commit f30fbe3
Author: Stephen Warren <swarren@nvidia.com>
Date:   Thu Jun 2 16:45:13 2011 -0600

  * alsaucm: Don't double-free empty lists

commit 16bdb41
Author: Stephen Warren <swarren@nvidia.com>
Date:   Thu Jun 2 16:45:12 2011 -0600

  * alsaucm: Add list1 command for non-tuple lists

commit 5ee6a67
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 28 08:13:28 2011 +0200

  * Revert "alsactl - Display help for names command"

commit 7045105
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Mon Apr 4 11:28:47 2011 +0200

  * alsactl init: Mute CD Playback volume by default

commit a7bd339
Author: Peter Korsgaard <jacmet@sunsite.dk>
Date:   Mon Mar 14 09:48:13 2011 +0100

  * alsamixer: fix build on uClibc

commit 3801e25
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 8 12:56:56 2011 +0100

  * alsaloop: another try to force correct formats for libsamplerate

commit 3853175
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 7 14:21:19 2011 +0100

  * alsaloop: libsamplerate requires specific formats, force them for
    slave mode

commit cd26f24
Author: Raymond Yau <superquad.vortex2@gmail.com>
Date:   Mon Feb 28 15:36:36 2011 +0100

  * alsamixer: fix display of active/inactive controls

commit 2097969
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 15:19:55 2011 +0100

  * Release v1.0.24.2

commit e7d86f1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 14:30:20 2011 +0100

  * alsaucm: do not bail out in the interactive mode upon error

commit 629fdf6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 31 14:12:55 2011 +0100

  * alsaucm: fix interactive mode, add batch mode

commit 371d58b
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date:   Thu Jan 27 23:14:44 2011 -0600

  * alsaucm: fix list command and output

commit 8bf9abe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 28 13:03:25 2011 +0100

  * Release v1.0.24.1

commit 285b00a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 26 12:04:37 2011 +0100

  * Release v1.0.24

commit 5f71d96
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 24 15:00:26 2011 +0100

  * Merge branch 'ucm'

commit 4429363
Author: Ozan Çağlayan <ozan@pardus.org.tr>
Date:   Wed Jan 5 13:01:04 2011 +0200

  * configure.in: Fix xmlto detection

commit 0bd306d
Author: Christoph J. Thompson <cjsthompson@gmail.com>
Date:   Fri Jan 7 13:46:58 2011 +0100

  * Translate alsa-utils to French.

commit 34bb514
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 6 14:07:48 2010 +0100

  * alsamixer: use cubic scale for volume bars

commit 70a0174
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 6 14:05:10 2010 +0100

  * alsamixer: increase step size for big control value ranges

commit e57f619
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 6 14:04:39 2010 +0100

  * alsamixer: remove obsolete e-mail

commit a97bcd1
Author: Colin Guthrie <cguthrie@mandriva.org>
Date:   Thu Nov 25 21:40:25 2010 +0000

  * alsactl: Add a --with-udev-rules-dir configure option.

commit 53b08bf
Author: Ozan Çağlayan <ozan@pardus.org.tr>
Date:   Thu Nov 25 09:36:37 2010 +0200

  * configure.in: Fix variable name

commit 81f015f
Author: Lennart Poettering <lennart@poettering.net>
Date:   Tue Nov 23 02:59:18 2010 +0100

  * alsactl: Move asound.state location to /var/lib/alsa

commit de7c3ef
Author: Lennart Poettering <lennart@poettering.net>
Date:   Tue Nov 23 01:45:08 2010 +0100

  * alsactl: systemd and udev hookup

commit b42a1c7
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Nov 10 10:16:07 2010 +0100

  * update German translations

commit f2e9e9a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Nov 10 10:14:53 2010 +0100

  * alsamixer: remove obsolete e-mail

commit 7a11a2b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 21 20:38:06 2010 +0200

  * alsaloop: rework the ctl event handling routine

commit ce282e6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 21 20:24:37 2010 +0200

  * alsaucm: fix command line arguments parsing

commit d53eb03
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 20 09:26:24 2010 +0200

  * alsaloop: Delay the restart a bit (to handle snd-aloop playback
    xruns better)

commit b67d215
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Oct 15 12:30:44 2010 +0200

  * speaker-test: Don't retry after fatal errors

commit 1ae28ca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 14 15:39:28 2010 +0200

  * alsaloop: Fix latency print

commit 513a9c7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 14 11:17:25 2010 +0200

  * alsaloop: fixes, added -W/--wake option

commit b68986f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 13 23:41:29 2010 +0200

  * alsaloop: add -U/--xrun to alsaloop.1 man page

commit 1a35bdf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 13 23:39:36 2010 +0200

  * alsaloop: added xrun profiling support (-U,--xrun), added SIGUSR1
    state dump

commit 47563fb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 13 11:47:23 2010 +0200

  * ucm: added listcards command

commit a9af434
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 12 13:16:54 2010 +0200

  * alsaucm: initial rewrite to use update API

commit af61ea6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 11 11:56:16 2010 +0200

  * alsaloop: add --pctl and --cctl options to man page

commit 38c2ef9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 11 11:53:50 2010 +0200

  * alsaloop: add --pctl and --cctl options

commit bee994f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 11 10:24:14 2010 +0200

  * alsaloop: Fixes and added --workaround option

commit 048f87b
Author: Mark Brown <broonie@opensource.wolfsonmicro.com>
Date:   Fri Oct 8 23:11:54 2010 +0200

  * alsaucm: Report failure to set a device due to missing verb setup

commit e77983d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 8 22:23:05 2010 +0200

  * alsaloop: Fix command-line parsing and pollfd initialization

commit 147a1cc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 8 15:10:23 2010 +0200

  * alsaloop: Add OSS mixer redirection support

commit 058357f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 7 20:38:36 2010 +0200

  * alsaloop: added resampling for unsupported soundcard rates

commit f956c32
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 7 00:12:38 2010 +0200

  * alsaloop: fix resample argument parsing

commit 5ad13c4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 6 20:34:03 2010 +0200

  * alsaloop: fix -a option and slave mode processing

commit 4fe4d22
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 6 18:51:29 2010 +0200

  * alsaloop: Fix thread handling

commit ad0e562
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 6 18:30:18 2010 +0200

  * alsaloop: Fix loopbacks pointer initialization and allocation, fix
    -T option

commit 1e75673
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 18 08:29:03 2010 +0200

  * Introduce alsaloop utility

commit 87c58b5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 5 10:02:45 2010 +0200

  * amixer: fix parsing of control ID name

commit 08f36ef
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 22 20:06:02 2010 +0200

  * Merge branch 'ucm-upstream' of git://git.slimlogic.co.uk/alsa-utils
    into ucm

commit ef919a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 7 17:33:14 2010 +0200

  * alsactl init: Initialize also "Master Front Playback Volume" &
    "Switch"

commit 52bd2f8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 7 17:07:12 2010 +0200

  * alsactl init: Handle "Capture Source" and "Mic Boost" in the default
    script

commit 0fea245
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 2 15:48:43 2010 +0200

  * alsactl: Change handling of inactive controls

commit 7f6a55e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 2 15:36:56 2010 +0200

  * alsactl init: use "generic method" instead "guess method"

commit dcb90a7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 2 15:03:23 2010 +0200

  * alsactl init: Use "Found hardware:" instead "Unknown hardware:"

commit a9d9161
Author: Stefan Schmidt <stefan@slimlogic.co.uk>
Date:   Wed Sep 30 21:12:17 2009 +0200

  * alsaucm: Add Use Case Manager utility

commit bb865dc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 18 08:23:09 2010 +0200

  * aplay/arecord: term_c_lflag variable might be unitialized in some
    cases

commit 4c33727
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 18 08:22:23 2010 +0200

  * speaker-test: add test pattern for PCM layer debugging purposes

commit 73c79eb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 15 13:39:14 2010 +0200

  * aplay: fix termio settings - return back old c_flag value on exit

commit 3bd6533
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 15 10:40:21 2010 +0200

  * aplay/arecord: Added hardware pause support (press SPACE or Enter)

commit b4ff58b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:37:58 2010 +0200

  * Revert wrong parts of "alsactl: use snd_config_imake* functions"

commit bd15b1e
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:28:11 2010 +0200

  * alsactl: change format of comment node in state file

commit 4f29877
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:27:25 2010 +0200

  * alsactl: correctly restore dB values of controls with changed range

commit 224c122
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:19:17 2010 +0200

  * alsactl: remove open-coded search

commit ad47784
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:18:43 2010 +0200

  * alsactl: move alloca out of loop

commit e509df6
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 26 10:07:47 2010 +0200

  * alsactl: use snd_config_imake* functions

commit 1b22cb0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Apr 16 13:11:06 2010 +0200

  * Release v1.0.23

commit b5f5ebc
Author: lieven moors <lievenmoors@gmail.com>
Date:   Mon Mar 15 18:13:11 2010 +0100

  * aconnect -x: Do not update index after removal of connection.

commit f0658f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 25 16:45:13 2010 +0100

  * alsactl: update debug prints in state.c

commit 412cb29
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 25 15:01:29 2010 +0100

  * alsactl: add more debug prints to state.c

commit 5c35aa8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 25 09:19:45 2010 +0100

  * alsactl: improve -d to get warnings and store exitcode to runstate
    file

commit c9b86f4
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 22 09:42:03 2010 +0100

  * alsamixer: handle out-of-range volume values

commit 5a016b5
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Feb 19 17:07:20 2010 +0100

  * alsamixer: fix division by zero

commit 69c6bea
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 14 19:07:25 2010 +0100

  * alsactl: Fix return code

commit f45aa72
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 10 11:52:53 2010 +0100

  * amixer: add support for TLV dB minmax types

commit cdc496a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 1 13:22:39 2010 +0100

  * amixer: fix display of unreadable control elements

commit 0034b1f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 27 10:26:52 2010 +0100

  * speaker-test: add fflush(stdout) to write_loop

commit c2eaf88
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 25 14:11:37 2010 +0100

  * amidi: fix port listing

commit 55cd025
Author: John Sauter <John_Sauter@systemeyescomputerstore.com>
Date:   Fri Jan 8 16:28:57 2010 -0500

  * aplay -- update the man file

commit 3b425f8
Author: John Sauter <John_Sauter@systemeyescomputerstore.com>
Date:   Fri Jan 8 16:24:33 2010 -0500

  * aplay -- add features for audio surveilance

commit 0895fcd
Author: John Sauter <John_Sauter@systemeyescomputerstore.com>
Date:   Fri Jan 8 16:21:07 2010 -0500

  * aplay - add option --process-id-file

commit 400e6f4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 8 15:58:47 2010 +0100

  * aplay: Dump PCM state on xrun when verbose mode is active

commit 6b4fbdf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 16 16:18:52 2009 +0100

  * Release v1.0.22

commit 075becd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 15 15:34:46 2009 +0100

  * speaker-test: not all sample formats are supported - show only
    supported ones

commit d18aebc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 15 15:27:05 2009 +0100

  * speaker-test: add -d (--debug) option to show PCM parameters

commit 1247c3d
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Mon Dec 14 17:26:57 2009 +0100

  * alsactl: fix error path code in init_parse.c

commit 87ee474
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 12 08:54:25 2009 +0100

  * alsactl: init - default - initialize also "Digital Input Source"

commit 1185611
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 9 11:48:23 2009 +0100

  * arecord: fix wrong chunk_size initialization when verbose and mmap
    flags are set

commit 325462e
Author: Arnout Engelen <alsa2@bzzt.net>
Date:   Sun Oct 18 21:34:30 2009 +0200

  * aplay - Show available formats

commit a227f00
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 8 13:47:27 2009 +0200

  * alsactl init: Add CTL{do_search} and CTL{do_count} parsers

commit 11b6042
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 7 13:41:13 2009 +0200

  * alsactl init: use empty GOTOs in init/default file to increase
    readability

commit eb2e470
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 7 10:37:40 2009 +0200

  * alsactl: introduce CTL{write} to match directly written CTL values

commit e02f8e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 12 12:45:05 2009 +0200

  * alsactl - Initialize Speaker volume to 0dB when Master is present

commit 2cbf397
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 2 14:31:49 2009 +0200

  * alsactl init: Fix typo "(" -> "{" in Headphone default rule

commit defee56
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 17:03:04 2009 +0200

  * alsamixer: Improve set_escdelay() function availability detection

commit ca0ff77
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 15:09:38 2009 +0200

  * Release v1.0.21

commit d94ab95
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Aug 17 12:29:11 2009 +0200

  * aplaymidi: reduce bandwidth for big SysEx messages

commit 077467a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jun 19 08:40:00 2009 +0200

  * alsamixer: fix display of inactive volume bar

commit 7a3e59c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jun 19 08:39:24 2009 +0200

  * alsamixer: rename attr to ch

commit 6788885
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 18 15:20:15 2009 +0200

  * alsactl init rules: fix Lenovo T61 initialization (Speaker Playback
    Switch)

commit 29a7dbc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 18 14:42:28 2009 +0200

  * alsamixer - Tricolorize volume bars

commit 05fcb0c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Jun 2 11:19:45 2009 +0200

  * alsamixer: update man page

commit 730e825
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu May 28 09:16:11 2009 +0200

  * alsamixer: fix text box clipping with multi-column characters

commit 8290353
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 27 15:08:45 2009 +0200

  * Update ja.po for alsamixer

commit b8f5674
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 27 14:16:30 2009 +0200

  * alsamixer - Fix uninitialized variable warning

commit f974abd
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 25 10:31:06 2009 +0200

  * add German translations

commit 5b6b5fd
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 25 10:26:22 2009 +0200

  * alsamixer: show channel names for multichannel controls

commit bde1d19
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 21 16:44:42 2009 +0200

  * alsactl: init - fix default configuration for ENS1370

commit 0d3aeb9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 15 12:37:48 2009 +0200

  * alsactl: fixed Headphone Playback Volume setting in default rules

commit 6a1109b
Author: Dan McGee <dpmcgee@gmail.com>
Date:   Sun May 10 02:47:40 2009 +0200

  * speaker-test: only check byte order once

commit 8b0db35
Author: Dan McGee <dpmcgee@gmail.com>
Date:   Sun May 10 02:47:39 2009 +0200

  * speaker-test: move existing endian macros up in the file

commit 21d3717
Author: Dan McGee <dpmcgee@gmail.com>
Date:   Sun May 10 02:27:07 2009 +0200

  * Remove dead/commented out code

commit f0a3bdc
Author: Dan McGee <dpmcgee@gmail.com>
Date:   Sun May 10 02:27:06 2009 +0200

  * Allow frequencies down to 30 Hz

commit 7d051f7
Author: Dan McGee <dpmcgee@gmail.com>
Date:   Sun May 10 02:27:05 2009 +0200

  * speaker-test: allow frequency to be floating point

commit 83ae381
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 6 09:07:24 2009 +0200

  * Release v1.0.20

commit ccd0e88
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 5 11:12:43 2009 +0200

  * alsactl: ca0106 initialization files - wrong exit

commit 13ba438
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 5 11:10:35 2009 +0200

  * alsactl: add ca0106 initialization file

commit 4818e27
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 5 10:33:08 2009 +0200

  * alsactl: changes in initialization files

commit 94ac54b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 30 11:26:15 2009 +0200

  * alsactl: fix sysfsroot path and parser extensions

commit 42ae1e6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 28 11:19:48 2009 +0200

  * alsactl: init rules - fix HDA Conexact codec PCM initialization

commit 8e0eb86
Author: Simon Hengel <simon.hengel@gmx.net>
Date:   Wed Apr 1 21:51:21 2009 +0200

  * ALSA: Added vi-like key bindings to alsamixer.

commit d01bbbd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 15 08:57:39 2009 +0200

  * alsactl/init: Fix CTL{value} assigning - make it relevant to
    documentation

commit 658cebd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Apr 9 09:48:27 2009 +0200

  * aplay/arecord: improve suspicious buffer detection and add
    --test-coef parameter

commit 57a38de
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 8 18:15:56 2009 +0200

  * aplay/arecord: remove debug printfs introduced by previous patch

commit 641556d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 8 09:22:16 2009 +0200

  * aplay/arecord: fix underrun/overrun time calculation for monotonic
    clock

commit 3924a24
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 18 12:10:55 2009 +0100

  * alsaconf - prefer /etc/modprobe.d/sound/50-sound.conf

commit ba38c92
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 20 18:01:58 2009 +0100

  * alsactl - Add missing -I option

commit 0e8fcfc
Author: Wu Fengguang <fengguang.wu@intel.com>
Date:   Fri Feb 20 17:59:51 2009 +0100

  * speaker-test.c - add readability comments to speaker channels

commit 08837a8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 18 15:34:57 2009 +0100

  * Fix misc compile warnings in alsactl

commit c1bc8d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 5 12:58:42 2009 +0100

  * alsactl: init - modify default rule to better support some HDA
    codecs

commit d12fe10
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 29 15:41:31 2009 +0100

  * Fix build with partially-installed alsa-lib

commit 9662a16
Author: Will Wagner <will_wagner@carallon.com>
Date:   Mon Jan 19 14:19:10 2009 +0100

  * Use ANSI C functions

commit 4d9951c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 19 12:17:19 2009 +0100

  * Release v1.0.19

commit 9a47cf7
Author: Peter Stokes <linux@dadeos.co.uk>
Date:   Mon Jan 12 12:29:41 2009 +0100

  * Fix wrong direction check in aplay/arecord --list-pcms

commit 2e3915d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Dec 8 11:59:27 2008 +0100

  * aseqnet - Add $(INTLLIBS) to Makefile.am

commit e3dfc74
Author: Hans-Christian Egtvedt <hans-christian.egtvedt@atmel.com>
Date:   Mon Dec 8 11:55:27 2008 +0100

  * alsa-utils check if __USE_BSD is defined before compiling "BSD
    functions"

commit 045ccf2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 26 14:32:46 2008 +0100

  * Merge branch 'master' of git@git.alsa-project.org:alsa-utils

commit 0d61344
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 26 14:27:24 2008 +0100

  * speaker-test: Fix floating-point exception bug

commit 05f78cc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 21 14:44:31 2008 +0100

  * alsactl: Fix restore / init call behaviour when driver contains more
    controls

commit 6232f1c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 13:10:02 2008 +0100

  * Make some static tables and strings constants.

commit ca1ea1e
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 13:09:56 2008 +0100

  * Mark static the functions not used outside their unit.

commit f53441a
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 13:09:52 2008 +0100

  * Remove some unused variables.

commit 50f01e4
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Fri Nov 21 13:09:45 2008 +0100

  * Remove some dead code (comparisons between 0 and unsigned integers).

commit 94ae24c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 13 14:30:01 2008 +0100

  * Merge branch 'master' of
    git://git.flameeyes.eu/others/alsa/alsa-utils

commit 2c79b79
Author: Diego 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Thu Nov 13 13:23:04 2008 +0100

  * Nowadays Gentoo also uses update-modules, so update alsaconf.

commit 6596a40
Author: grdscarabe@grdscarabe.net <grdscarabe@grdscarabe.net>
Date:   Thu Nov 13 13:22:55 2008 +0100

  * Create a special fd redirection for menu choice.

commit 01285f2
Author: Diego 'Flameeyes' Pettenò <flameeyes@gmail.com>
Date:   Thu Nov 13 13:22:13 2008 +0100

  * Move conditional inclusion of locale.h further down.

commit 88ff779
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 13 09:29:40 2008 +0100

  * Merge branch 'master' of git@git.alsa-project.org:alsa-utils

commit 1797b2c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 13 09:28:43 2008 +0100

  * Add -I option to alsactl

commit 1a9b839
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Nov 10 09:23:07 2008 +0100

  * alsaconf: add Slackware support

commit bbd7156
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 30 11:50:17 2008 +0100

  * Add --disable-xmlto configure option

commit 09a07aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 29 13:42:11 2008 +0100

  * Release v1.0.18

commit d7f90ce
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 24 11:48:57 2008 +0200

  * iecset - Add missing help text for -n option

commit 46f9fb6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 23 11:13:24 2008 +0200

  * aplay/arecord: add --test-position test

commit 9f9ae68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 23 08:10:19 2008 +0200

  * Add --disable-alsaconf to configure script

commit f63ff47
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 18 09:40:02 2008 +0200

  * alsactl: Add -g,--ignore option to ignore 'No soundcards found'
    error

commit 0a8e8d5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 11 13:39:42 2008 +0200

  * alsactl: Fix oops (when parsing card argument)

commit 8ed6dcf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 18:55:50 2008 +0200

  * Release v1.0.18rc3

commit c97e82c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 12:54:17 2008 +0200

  * Merge branch 'master' of git@git.alsa-project.org:alsa-utils

commit 6bd6211
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 9 12:53:28 2008 +0200

  * aplay - show sample arrangement (mmap areas) in verbose more for
    debugging

commit 32a031b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 25 08:08:55 2008 +0200

  * Add arecord to .gitignore

commit cd66729
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 25 08:07:56 2008 +0200

  * Remove unneeded files from EXTRA_DIST in root Makefile.am

commit 02c978d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 25 08:07:13 2008 +0200

  * Add missing files to be included in alsactl/Makefile.am

commit 3b8bdeb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 19 13:41:00 2008 +0200

  * Release v1.0.18rc2

commit eb345d9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 19 13:38:26 2008 +0200

  * alsactl.1 - explicitly notify about ALSA_CONFIG_PATH environment
    variable

commit cdf5a9b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 19 13:28:22 2008 +0200

  * alsactl init - fix memory leaks (valgrind helped)

commit 2e7bb3c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 17:02:17 2008 +0200

  * alsactl init - fixed EXTRA_DIST typo in alsactl/init subdirectory

commit 30744c0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 16:57:18 2008 +0200

  * alsactl: Allow card specification by device name (support for udev)

commit ef8bfce
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 16:47:33 2008 +0200

  * alsactl - remove 'names' command, fix alsactl man page

commit a227a9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 16:27:45 2008 +0200

  * alsactl init - add default command to help config and fix packaging

commit 9a74817
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 15:01:44 2008 +0200

  * alsactl init - CTL{values}, CTL{enums} and default "guess method"
    initialization

commit 0c02a4e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 18 12:39:26 2008 +0200

  * alsactl init - add ATTR{dBmin} and ATTR{dBmax}

commit 5dda875
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 15 13:30:26 2008 +0200

  * Release v1.0.18rc1

commit 460ff35
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Thu Aug 14 17:51:46 2008 +0200

  * alsactl init - fixed enumeration string setting, update Lenovo T61
    config (dB)

commit e5b4241
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 14 17:48:48 2008 +0200

  * alsactl init - modified configuration for Acer Travelmate 8100

commit b8560a6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 14 16:46:27 2008 +0200

  * alsactl init - restore calls also init on failure

commit ec73719
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Thu Aug 14 14:57:19 2008 +0200

  * amixer - fixed TLV dBscale and added dBrange parsing

commit e02535b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 14 14:08:22 2008 +0200

  * alsactl init - add dB and percentual CTL{value} parsing for integer
    values

commit 11684b3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 14 11:21:59 2008 +0200

  * alsactl init - allow enum specification by name strings

commit 24fe765
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 13 20:49:07 2008 +0200

  * alsactl init configuration syntax changes

commit 9957c66
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 13 12:26:50 2008 +0200

  * alsactl - install initialization files

commit 21bb9fb
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Wed Aug 13 11:40:43 2008 +0200

  * alsactl init - Fix Lenovo T61 configuraton

commit f98a4e2
Author: Pawel MOLL <pawel.moll@st.com>
Date:   Fri Aug 1 11:23:58 2008 +0100

  * iecset update for new consumer status channel bits

commit e1afe00
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 31 16:41:54 2008 +0200

  * alsactl init: Changed support for Acer Travelmate 8100 (use
    subvendor and subdevice for matching)

commit 7b3c488
Author: Jaroslav Kysela <perex@t61.perex-int.cz>
Date:   Thu Jul 31 16:40:06 2008 +0200

  * alsactl init: added support for Lenovo T61

commit b402cf5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 31 15:45:08 2008 +0200

  * Initial 'alsactl init' implementation

commit d84146d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 14 10:57:53 2008 +0200

  * Release v1.0.17

commit ed90e6a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 16 09:40:43 2008 +0200

  * Release v1.0.17rc2

commit 07ca0dd
Author: Philippe De Muyter <phdm@macqel.be>
Date:   Fri Jun 6 12:25:22 2008 +0200

  * alsaconf:  use 'type -p', not which

commit 8fc2c39
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jun 6 09:02:55 2008 +0200

  * alsactl: simplify and fix item type detection

commit 71f78e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 3 10:21:08 2008 +0200

  * Release v1.0.17rc1

commit 6ccfd7b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 3 10:14:56 2008 +0200

  * hgcompile -> gitcompile

commit bfd1aa1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 20 13:32:28 2008 +0200

  * renamed hgcompile to gitcompile

commit a36c678
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 20 13:23:26 2008 +0200

  * .hgignore -> .gitignore and removed .hgtags

commit 1b7f927
Author: Giuliano Pochini <pochini@shiny.it>
Date:   Mon Apr 28 09:16:27 2008 +0200

  * speaker-test.c - fix pink noise generator on big-endian archs

commit 6372f4a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 21 15:19:27 2008 +0200

  * speaker-test.c - fix sine generator on big-endian archs

commit 8802e85
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 16 14:43:01 2008 +0200

  * aplay - Fix a compile warning

commit 8e3e09d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 16 14:39:41 2008 +0200

  * Add check of ncurses*-config

commit c58817e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 14 14:11:06 2008 +0100

  * aplay - Add stereo VU-meter support

commit 4bdb0ad
Author: Pawel MOLL <pawel.moll@st.com>
Date:   Thu Mar 6 17:34:21 2008 +0100

  * Support for playing WAV files with "extensible format" header using
    aplay.

commit 8e2046b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Feb 21 09:12:53 2008 +0100

  * aseqdump: flush output

commit 23f3e57
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Feb 21 09:12:27 2008 +0100

  * fix poll timeout

commit 8497258
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Feb 21 09:11:58 2008 +0100

  * aseqdump: increase verbosity

commit 8f017f1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 11 14:22:51 2008 +0100

  * Require alsa-lib 1.0.16

commit 6f438b9
Author: Andrew Paprocki <andrew@ishiboo.com>
Date:   Wed Feb 6 14:05:07 2008 +0100

  * aplay/arecord - Add support for IEEE float 32-bit WAV files

commit a86e94e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 5 10:08:11 2008 +0100

  * Added tag v1.0.16 for changeset 16f32be6b8b9

commit 81dbe6b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 5 10:08:11 2008 +0100

  * release 1.0.16 Patch-level: Merged

commit 318258f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 5 08:11:02 2008 +0100

  * iecset - Add -n option

commit eedab6e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 21 10:42:48 2008 +0100

  * Added tag v1.0.16rc1 for changeset 8907a06eb707

commit 62a27ec
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 21 10:42:48 2008 +0100

  * release 1.0.16rc1 Patch-level: Merged

commit 9abeb58
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 8 18:39:06 2008 +0100

  * Remove xfer_align

commit 4cb74ae
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 8 18:38:32 2008 +0100

  * Remove sleep_min from aplay

commit fb1c2d5
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 7 12:28:43 2008 +0100

  * alsamixer: add 8-channel support

commit b082865
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Dec 17 11:49:00 2007 +0100

  * alsactl: skip inactive controls

commit beecc14
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 14 15:29:51 2007 +0100

  * aplay - Reset non-blocking flag before snd_pcm_drain()

commit 8d7759a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 30 17:20:39 2007 +0100

  * alsactl - Fix wrong restore

commit 0629a38
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Nov 30 08:14:04 2007 +0100

  * iecset: fix card index check

commit e5b2ab2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 14 11:54:38 2007 +0100

  * alsactl - Set -F option as default

commit 6f05fd4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 12 17:24:27 2007 +0100

  * alsactl - fix double entry of comment.tlv

commit 1e6f486
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 5 12:44:13 2007 +0100

  * speaker-test - Put errors to stderr

commit 9dd3e28
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 5 12:40:35 2007 +0100

  * speaker-test - Fix number of periods to play

commit 14f7981
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 25 15:39:19 2007 +0200

  * Add missing inclusion of assert.h

commit c88c15a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 24 13:53:14 2007 +0200

  * alsactl - restore dB level

commit 030686a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 24 13:08:28 2007 +0200

  * Make alsactl restore a bit more robust

commit c6eb66f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:36:47 2007 +0200

  * Added tag v1.0.15 for changeset 3b8e4ee4363e

commit 2781f2c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:36:47 2007 +0200

  * release 1.0.15 Patch-level: Merged

commit 48de580
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 15 10:25:17 2007 +0200

  * Changed Jaroslav Kysela's e-mail from perex@suse.cz to
    perex@perex.cz

commit 32c0c7b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Sep 17 09:44:29 2007 +0200

  * arecordmidi: mention SMF type in man page

commit 30d3ace
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 30 10:23:35 2007 +0200

  * Added tag v1.0.15rc1 for changeset cd39f6c9aa57

commit 975abee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 30 10:23:34 2007 +0200

  * release 1.0.15rc1 Patch-level: Merged

commit cbb2d55
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 29 14:49:55 2007 +0200

  * alsamixer - Handle capture enums separately

commit f13bea1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 15 15:38:01 2007 +0200

  * alsactl - Remove debug print

commit 7992d3a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 7 15:36:41 2007 +0200

  * aplay - Include missing time.h for time()

commit 4b16370
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 31 17:29:45 2007 +0200

  * amixer - Allow to pass enum item string for cset, too

commit fea8dbf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 24 15:19:34 2007 +0200

  * Ignore errors with -s option

commit 483d8d6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 12 17:02:18 2007 +0200

  * aplay - Fix VU meter

commit 2fba9cd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 12 15:22:06 2007 +0200

  * alsaconf - Don't produce hwcfg file for openSUSE 10.3

commit ea04f2c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 12 15:20:52 2007 +0200

  * aplay - Fix possible endless loop with SIGBART

commit 8d0fb15
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 11 10:12:24 2007 +0200

  * amixer/alsamixer - updated go scripts for debugging

commit 50d240e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jul 9 16:37:35 2007 +0200

  * amixer - Fix selection of enum items

commit c7d2be1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 4 15:15:39 2007 +0200

  * Remove unneeded -lasound

commit 1a388d1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jun 4 15:14:47 2007 +0200

  * Add missing library dependency

commit 8a3947e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 31 08:55:27 2007 +0200

  * Added tag v1.0.14 for changeset 0c395cb93191

commit 46e9015
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 31 08:55:26 2007 +0200

  * release 1.0.14 Patch-level: Merged

commit 6d32e05
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 23 12:06:49 2007 +0200

  * alsactl - Display help for names command

commit f5d76dd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 23 12:04:49 2007 +0200

  * alsactl - More explicit open error message (#2)

commit 035cbc3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 23 12:03:29 2007 +0200

  * alsactl - More explicit open error message

commit cdccd65
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 23 12:02:14 2007 +0200

  * alsactl - adjust spaces in help texts

commit e3ccd20
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 23 11:58:27 2007 +0200

  * alsactl - Error message when failing to open the config file

commit 53eb911
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 18 16:58:02 2007 +0200

  * alsamixer - Fix duplicated appearance in All view mode

commit d971197
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 2 08:45:47 2007 +0200

  * Added tag v1.0.14rc4 for changeset dee0ae0aef39

commit f50d0b5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 2 08:45:47 2007 +0200

  * release 1.0.14rc4 Patch-level: Merged

commit 2d470cf
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Apr 17 09:25:01 2007 +0200

  * amidi: open devices non-blockingly

commit 3f17db2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 5 17:23:42 2007 +0200

  * amixer - show iec958 status bits in contents command

commit bb3a245
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 15 14:47:35 2007 +0100

  * Added tag v1.0.14rc2 for changeset fe0e2571e09c

commit 0c84e7a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 15 14:47:34 2007 +0100

  * release 1.0.14rc2 Patch-level: Merged

commit 83bf6c3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 8 11:46:12 2007 +0100

  * Fix aconnect man page

commit 7d87034
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 7 15:04:32 2006 +0100

  * Added tag v1.0.14rc1 for changeset
    37fec0da2399c7134da1cb907a8ca8fca049e911

commit 329c9a2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 7 15:04:31 2006 +0100

  * release 1.0.14rc1 Patch-level: Merged

commit 4de3d5a
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Dec 4 18:01:23 2006 +0100

  * aplaymidi: handle big SysEx commands

commit 815fc4b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 30 13:45:08 2006 +0100

  * aplay: namehint fix - use filter before printing device name

commit a6f9df0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 30 13:42:33 2006 +0100

  * fix for recent namehint API (use get_hint function)

commit d0d0e25
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Sun Nov 26 16:24:59 2006 +0000

  * utils: Make default sample files be in /usr/share/sounds/alsa

commit a8e31a5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 6 17:27:50 2006 +0100

  * Fix argument for snd_device_name_hint().

commit fb219ca
Author: James Courtier-Dutton <James@superbug.demon.co.uk>
Date:   Fri Oct 13 22:25:33 2006 +0100

  * Implement Playback/Capture enum.

commit ff26da1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 14:53:56 2006 +0200

  * aplay/arecord: Remove -n commad (obsolete, undocumented)

commit eee0b78
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 12 11:04:38 2006 +0200

  * aplay/arecord -L command: process properly end-of-line characters

commit 0b70f2e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 11 13:36:37 2006 +0200

  * aplay/arecord: filter direction for -L command

commit f6ed3aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 11 13:31:47 2006 +0200

  * aplay/arecord - use snd_device_name_hint() for -L command

commit f0d1e3c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 10:33:36 2006 +0200

  * alsaconf - rcalsasound script does not exists in some distros See
    bug#1505

commit 6d59cea
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 10:21:29 2006 +0200

  * amixer - remove beep on errors in arguments See bug#1247

commit 8fa7c15
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 10:14:24 2006 +0200

  * alsactl - return error state, fail when no configuration is found
    See bug#843

commit a702082
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 09:47:41 2006 +0200

  * amixer: sset - check if command is valid See bug#532

commit a08925f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 4 09:34:02 2006 +0200

  * alsamixer: cosmetic fix

commit 96bb89f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 1 15:21:06 2006 +0200

  * alsa-utils.spec.in - additions See bug#2139 for details

commit affb999
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 1 15:16:13 2006 +0200

  * speaker-test: fix typos in manpage

commit db59693
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 1 15:11:10 2006 +0200

  * alsaconf fix: cannot find the snd-powerpc module

commit e32785d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Oct 1 15:03:26 2006 +0200

  * aplay: add fflush(stdout) for -vvv verbosity See bug#2454

commit 6eab674
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 13:30:59 2006 +0200

  * Added tag v1.0.13 for changeset
    6504a92784b8d34861d2304c1afb3b689ad4e5d6

commit c5b2068
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Sep 29 13:30:59 2006 +0200

  * release 1.0.13 Patch-level: Merged

commit 0502722
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 25 15:22:01 2006 +0200

  * Added tag v1.0.13rc3 for changeset
    a956137bb3443bcf1e6b14fb8a2f167965206268

commit f11aa70
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 25 15:22:00 2006 +0200

  * release 1.0.13rc3 Patch-level: Merged

commit 1edfd1d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 21 17:34:32 2006 +0200

  * Initialize volumes using dB in alsaconf

commit e7985c0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 12 15:35:48 2006 +0200

  * Added tag v1.0.13rc2 for changeset
    a505bb1568f9a523e1c66b7acdb006acd47a5a0a

commit d3355be
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 12 15:35:48 2006 +0200

  * release 1.0.13rc2 Patch-level: Merged

commit 66d0a28
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 31 10:06:20 2006 +0200

  * Added tag v1.0.13rc1 for changeset
    071f769c3a9a62d76c52b8167655ae6e1c76dd8a

commit 6696130
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 31 10:06:19 2006 +0200

  * release 1.0.13rc1 Patch-level: Merged

commit cd22065
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 28 21:21:30 2006 +0200

  * Fix setup for SLES10/SLED10

commit b4897f7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Aug 28 13:28:46 2006 +0200

  * Add linear-volume handling in amixer

commit cb9cb72
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 12:39:34 2006 +0200

  * Show the mute dB state correctly

commit ae9ddeb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 12:00:14 2006 +0200

  * Add handling of dB to amixer

commit 0413ca2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 25 11:48:10 2006 +0200

  * Restore user-defined TLV

commit 6f3280b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 22 14:40:48 2006 +0200

  * Added tag v1.0.12 for changeset
    362d0078aa00ef99b43b183fa1476ee6b13e070e

commit 24a7472
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 22 14:40:47 2006 +0200

  * release 1.0.12 Patch-level: Merged

commit 147cb89
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 4 14:28:17 2006 +0200

  * Added tag v1.0.12rc2 for changeset
    124e160dc248423e03f005affe943f3e78caa8d9

commit 4fa5e3b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 4 14:28:17 2006 +0200

  * release 1.0.12rc2 Patch-level: Merged

commit e45f2f4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 3 17:33:32 2006 +0200

  * Don't call close() for the same fd twice in arecord

commit 3de280c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 3 17:29:51 2006 +0200

  * Use the right word in message of areacord

commit 2759c90
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 3 17:27:35 2006 +0200

  * Fix segfault in aplay when snd_pcm_name() == NULL

commit e45ba7e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 27 11:02:00 2006 +0200

  * amixer - show dB values for simple mixer interface (which is
    default)

commit dedc292
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 6 19:26:31 2006 +0200

  * Fix print_dB() with a minus value

commit 33319eb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 5 17:46:10 2006 +0200

  * amixer - added basic TLV support (read only) for 'amixer controls'

commit 7bae1b0
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Jun 27 08:19:15 2006 +0200

  * amidi: fix --list-devices

commit 6764ddb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 23 14:53:38 2006 +0200

  * amidi: Fix device list

commit 8a852de
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 21 15:50:44 2006 +0200

  * Added tag v1.0.12rc1 for changeset
    849c4951f99f14b8318025901bc76c23c73ce7b0

commit ee6b105
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 21 15:50:44 2006 +0200

  * release 1.0.12rc1 Patch-level: Merged

commit ca5cc4b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu May 18 12:33:35 2006 +0200

  * Fix misc bugs in arecord

commit 56190f9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 17 14:59:29 2006 +0200

  * Fix endless loop of recording in arecord

commit 7af6e01
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 12 18:07:07 2006 +0200

  * Fix the default buffer size calculation in speaker-test

commit 10e3f81
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 12 15:34:22 2006 +0200

  * Add hgcompile script and fix INSTALL document

commit 58bab1a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed May 10 17:26:53 2006 +0200

  * Fix a compile warning in aplay.c

commit 3a7f46c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue May 2 15:43:07 2006 +0200

  * aplaymidi: list only MIDI-capable ports

commit f92e100
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 26 16:14:51 2006 +0200

  * Allow aplay/arecord to handle up to 2GB for WAV

commit 9104d67
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Apr 26 16:11:57 2006 +0200

  * Fix arecord to quit properly at max file size

commit 6d031b7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 19 12:29:49 2006 +0200

  * Added tag v1.0.11 for changeset
    42059028317105d2db368e111cd3e797d1479648

commit afecb42
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 19 12:29:49 2006 +0200

  * release 1.0.11 Patch-level: Merged

commit a1b60b1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 18 15:52:12 2006 +0200

  * Update ja.po file

commit 2516c6c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Apr 18 15:14:43 2006 +0200

  * Don't show invalid plug example in the error message of aplay

commit 68f4d77
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 11 15:59:06 2006 +0200

  * Added tag v1.0.11rc5 for changeset
    3978056e38c0fa4b2f81bb794252637411e74c98

commit 4fc2656
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 11 15:59:06 2006 +0200

  * release 1.0.11rc5 Patch-level: Merged

commit 4aef946
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 10 14:53:20 2006 +0200

  * Added tags since ALSA version 1.0.3

commit 6d16735
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:19:07 2006 +0200

  * Avoid unnecessary drain/restart in speaker-test

commit 47e7f18
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:17:56 2006 +0200

  * Add .hgignore

commit fa11ff7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Apr 6 19:17:35 2006 +0200

  * Add exec permission to cvscompile

commit 9b1a256
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 29 17:06:44 2006 +0000

  * Remove loops after errors

commit a948ec4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 27 11:24:09 2006 +0000

  * Fix a typo in speaker-test help text

commit 3554491
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 16:36:31 2006 +0000

  * Fix missing commas

commit 925bf36
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 14:48:00 2006 +0000

  * Updated ja.po translations

commit 5e1a68b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 24 14:46:52 2006 +0000

  * Improve buffer/period set up in speaker-test

commit 400cc1b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 22 10:47:58 2006 +0000

  * release 1.0.11rc4 Patch-level: Merged

commit c7e2c70
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 17:05:19 2006 +0000

  * Change autoconf requirement to 2.59

commit 19609d8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 16:52:15 2006 +0000

  * Fix PCI class and name extraction in alsaconf

commit 8e821d4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 21 11:14:54 2006 +0000

  * Add missing comma

commit 21d5bed
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 13 19:40:25 2006 +0000

  * Minor clean up of bashism

commit 52aeaa5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 13 19:39:17 2006 +0000

  * Remove obsolete power command from alsactl

commit 2304da6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 13 19:38:36 2006 +0000

  * Fix a typo in manpage

commit 69c5beb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Mar 6 19:42:23 2006 +0000

  * Add --nloops option and fix manpage

commit 8e61702
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 2 11:41:58 2006 +0000

  * Tentative fix for speaker-test WAV with 5 or more channels

commit 61fc39f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 2 08:02:26 2006 +0000

  * release 1.0.11rc2 Patch-level: Merged

commit 2975ef9
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Thu Dec 22 13:35:42 2005 +0000

  * speaker-test: Fix version reporting.

commit 9fb30e3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 16 18:44:14 2005 +0000

  * Fix compile warnings

commit 6106ed8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 14 15:34:21 2005 +0000

  * Use amixer -s option

commit 35c0bd6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 14 15:11:42 2005 +0000

  * Fix compile on big-endian arch

commit fbf158c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 13 07:52:51 2005 +0000

  * release 1.0.11rc1 Patch-level: Merged

commit 5f9f0e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Dec 6 11:25:47 2005 +0000

  * split interleaved files in arecord when reaching 2GB From: Dirk
    Jagdmann <doj@cubic.org>

commit 504131b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Dec 6 11:23:00 2005 +0000

  * alternative peak meter for aplay From: Dirk Jagdmann <doj@cubic.org>

commit 0195ba4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 2 11:45:25 2005 +0000

  * Fix a text in alsa-utils

commit 9669fc8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 1 11:33:06 2005 +0000

  * Update the po entries

commit 21b94bc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 1 11:32:28 2005 +0000

  * amixer - Add -s option

commit 9fe49dd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 1 11:31:26 2005 +0000

  * speaker-test - Fix missing i18n

commit 9da694e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 30 17:09:17 2005 +0000

  * Add WAV file playback support to speaker-test

commit b69100f
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Nov 19 13:31:21 2005 +0000

  * Make speaker-test compatible with dmix by default.

commit 3c50a3a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 15 13:44:51 2005 +0000

  * release 1.0.10 Patch-level: Merged

commit 9a335c4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 14 10:11:50 2005 +0000

  * aplay/arecord - show the default settings See bug#534 for more
    details.

commit 9dc6665
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 8 16:43:36 2005 +0000

  * Disable NLS support when --disable-nls is passed

commit d9e433a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 8 16:42:22 2005 +0000

  * Add largefile support

commit bb86a9d
Author: Martin Habets <errandir_news@mph.eclipse.co.uk>
Date:   Mon Nov 7 14:57:07 2005 +0000

  * Add Sparc support in alsaconf

commit c792328
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 4 10:19:18 2005 +0000

  * release 1.0.10rc3 Patch-level: Merged

commit 9d1ad2e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 31 14:44:03 2005 +0000

  * Fix compile with --disable-nls

commit 9fbb2b5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 18 15:22:25 2005 +0000

  * Use strtol() instead of atoi()

commit d96b459
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 10 12:52:55 2005 +0000

  * Update po file

commit 71dd656
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 10 12:52:28 2005 +0000

  * Fix VU meter for S24_3 and big-endian From: Martin Habets
    <errandir_news@mph.eclipse.co.uk>

commit b8920a7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Oct 10 12:50:30 2005 +0000

  * release 1.0.10rc2 Patch-level: Merged

commit 0733a89
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sun Oct 9 22:43:21 2005 +0000

  * speaker-test: Add support for testing FLOAT_LE format.

commit 2963b6e
Author: Sasha Khapyorsky <sashak@smlink.com>
Date:   Thu Sep 29 10:50:37 2005 +0000

  * Extend 'alsactl names' to show modem devices

commit 414b308
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 22 12:47:02 2005 +0000

  * Fix for more better error fault handling for sset toggle

commit 7876ddd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 22 12:39:26 2005 +0000

  * Added more better error fault handling for sset toggle

commit 72a72ad
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 14 20:07:37 2005 +0000

  * Fix hwcfg file name by alsaconf

commit bd7a1e9
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Sep 10 13:56:57 2005 +0000

  * Implement dB gain level display.

commit 0c4dfca
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Sep 7 13:42:18 2005 +0000

  * Use strsignal()

commit 87ffcce
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 2 17:36:40 2005 +0000

  * Fix / clean up man pages

commit 9997c99
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 24 14:07:35 2005 +0000

  * aplay - remove EINTR handling (a job for alsa-lib)

commit 7fb39a9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 23 12:54:26 2005 +0000

  * aplay - added -EINTR error code handling for read/write operations

commit 3732576
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 23 12:09:30 2005 +0000

  * Allow separate build and source trees From: Bernard Leak
    <bernard@brenda-arkle.demon.co.uk>

commit d326747
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 19 17:26:07 2005 +0000

  * Add missing header files

commit b166248
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 19 13:07:45 2005 +0000

  * Fix autoreconf

commit 28e748c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 19 12:44:54 2005 +0000

  * Fix compilation

commit 9cbb9ba
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 19 12:43:59 2005 +0000

  * Create m4 directory

commit 3f7d324
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 19 11:45:05 2005 +0000

  * release 1.0.10rc1 Patch-level: Merged

commit d4ed322
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 19 11:36:43 2005 +0000

  * more cvscompile cleanups (m4/Makefile.am)

commit 3d83602
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 19 11:30:25 2005 +0000

  * handle better the getexize dependency

commit a14604e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 19 10:54:46 2005 +0000

  * Removed debug print for awk

commit 83b5802
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 19 07:54:52 2005 +0000

  * fix handling of po/Makefile.in

commit 895352b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Aug 19 07:47:00 2005 +0000

  * fix installation instructions

commit 759a83c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 17 17:15:05 2005 +0000

  * Removed unneeded files for CVS

commit 6304ad4
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Aug 13 16:53:39 2005 +0000

  * Correct buffer size choosing.

commit 8a2ce19
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Aug 13 16:27:59 2005 +0000

  * update build tools.

commit d112b21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Aug 13 13:09:21 2005 +0000

  * alsaconf - add support for PnP BIOS devices This patch adds the
    support for PnP BIOS devices.

commit 18a09d5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 9 12:24:53 2005 +0000

  * added -R,--resources option and improved resource checking using
    sysfs

commit 62a2c26
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 4 15:59:17 2005 +0000

  * Support hwcfg-* set up

commit 439ac7b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 2 20:06:47 2005 +0000

  * fixed detection of ISAPnP cards using 2.6 sysfs

commit e6cbac5
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jul 25 15:20:07 2005 +0000

  * aseqdump - remove fishy comment

commit f6abfcd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 28 13:28:23 2005 +0000

  * Add gettextize

commit a65cc48
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jun 28 12:58:45 2005 +0000

  * Fix msgfmt errors

commit 39ff48b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 23 10:39:16 2005 +0000

  * Output help messages to stdout

commit 6343f35
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jun 23 10:38:06 2005 +0000

  * i18nize some programs

commit fefe0aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 16 11:53:49 2005 +0000

  * initial debug script

commit dd97818
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 16 11:53:20 2005 +0000

  * Added support for abstraction selection - (basic abst might be the
    default someday)

commit 210e946
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 15 14:55:37 2005 +0000

  * Add enum control support to sget/sset

commit 74dca8f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 15 12:53:30 2005 +0000

  * Fix a wrong display in the last patch

commit 11f789c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 15 12:49:07 2005 +0000

  * Fix unexpected abort of alsamixer

commit 7b0c847
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jun 8 13:55:54 2005 +0000

  * Fix typos in man pages

commit eb408a3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 7 11:41:48 2005 +0000

  * amixer - useful script for debugging

commit 53c4073
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 7 07:03:37 2005 +0000

  * Two modporbe calls lack path

commit 734cb04
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 6 14:02:10 2005 +0000

  * Set the device name for smixer_options

commit 3121251
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jun 2 11:38:46 2005 +0000

  * release 1.0.9a Patch-level: Merged

commit 49693ca
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 31 11:03:33 2005 +0000

  * Add Russian translation

commit ff13548
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 30 16:37:52 2005 +0000

  * Fix crash with enum controls

commit ae52466
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat May 28 16:06:14 2005 +0000

  * Comment out a section that causes an assert in alsamixer, until this
    section of code works.

commit 08e1bde
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 27 12:58:49 2005 +0000

  * release: 1.0.9

commit b2c39ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 23 20:41:12 2005 +0000

  * release: 1.0.9rc4a

commit 34e3b1c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 16:48:17 2005 +0000

  * Fix segfault with no-capture devices

commit b45a11b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 23 14:52:32 2005 +0000

  * Add alsactl.h

commit d4404e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 23 11:32:48 2005 +0000

  * release: 1.0.9rc4

commit f8d4923
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sun May 22 14:16:38 2005 +0000

  * Improve display of long text for enums.

commit a9881f3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 16:18:14 2005 +0000

  * Fix --force option

commit 4e15964
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 17 10:38:07 2005 +0000

  * Ignore -ENOTTY error

commit cae569e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 13 17:30:50 2005 +0000

  * Remove unused variable

commit 259fb32
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 13 17:30:00 2005 +0000

  * Fix compile warnings

commit 228f635
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 13 12:14:16 2005 +0000

  * Fix manpage installation

commit 1da1c52
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu May 12 08:27:11 2005 +0000

  * alsactl - add names for unique rawmidi subdevices

commit 13e1fc1
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 11 07:43:39 2005 +0000

  * alsactl - probe rawmidi device for rawmidi definitions

commit 5c1b10d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed May 11 07:41:09 2005 +0000

  * fix name of hw sequencer definition

commit 0a95822
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 10 11:23:56 2005 +0000

  * alsa-lib 1.0.9 is required now

commit 31efc32
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 10 10:55:24 2005 +0000

  * split source per command and added command 'names'

commit 50414b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 10 10:53:40 2005 +0000

  * Added -n (--list-devnames) command

commit 36820ac
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Tue May 3 18:36:08 2005 +0000

  * Don't use max volume

commit 177e788
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Tue May 3 18:27:50 2005 +0000

  * Fix speaker-test with -FS32_LE format.

commit f0032ba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 27 14:04:23 2005 +0000

  * release: 1.0.9rc3

commit 36f7af4
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Apr 16 13:23:52 2005 +0000

  * Implement order for 8-channel sound, arranged in 7.1 mode.

commit fb2f99f
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Apr 16 11:09:26 2005 +0000

  * Install sound samples to correct places.

commit 266e9b3
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Sat Apr 16 10:19:50 2005 +0000

  * Add sound samples.

commit e7e0f40
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Thu Apr 14 15:53:53 2005 +0000

  * Implement Pink noise output.

commit be0e80e
Author: James Courtier-Dutton <James@superbug.co.uk>
Date:   Thu Apr 14 15:06:33 2005 +0000

  * Minor updates. No functionallity changes.

commit 53adb97
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 30 16:11:11 2005 +0000

  * Fix typo

commit a35432c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 29 14:06:29 2005 +0000

  * Fixed basic astraction selection for simple mixer API

commit 1299087
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 27 12:50:34 2005 +0000

  * Added -a,--abstract switch for upcoming abstract mixer API

commit e955632
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 24 09:50:04 2005 +0000

  * release: 1.0.9rc2

commit 81de42c
Author: Claudio Fontana <sick_soul@yahoo.it>
Date:   Thu Mar 24 08:24:52 2005 +0000

  * fix typo Just s/verion/version/ in alsaconf.in Signed-off-by:
    Claudio Fontana <sick_soul@yahoo.it>

commit cd0ee17
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 16 13:31:31 2005 +0000

  * Adjust Front volume as default

commit e1c0234
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 16 13:30:47 2005 +0000

  * Add alsaconf french man page

commit 556364b
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 14 15:13:48 2005 +0000

  * detect attempts to play .mid files with amidi

commit 44cb75c
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Mar 14 15:11:45 2005 +0000

  * fix amidi error handling

commit b1e13d2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 13 09:31:40 2005 +0000

  * release: 1.0.9rc1

commit 143676f
Author: Markus Bollinger <bollinger@digigram.com>
Date:   Tue Mar 8 16:14:29 2005 +0000

  * Fix 32kHz sample rates

commit 0cfa228
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Tue Feb 22 17:06:59 2005 +0000

  * Change the Debian configuration file name

commit b3a003e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 22 17:04:51 2005 +0000

  * Fix check of fedora and redhat distributions

commit 3701b2c
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Tue Feb 22 13:42:44 2005 +0000

  * Fix typo in alsaconf "modinfo" option

commit 51b48ad
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 21 08:30:12 2005 +0000

  * move event dumping from arecordmidi to aseqdump

commit c88c669
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 21 08:27:11 2005 +0000

  * adopt readme changes in manpage

commit 3e7f43d
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Feb 21 08:18:58 2005 +0000

  * use non-breaking hyphens in man page

commit ead77a1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 18 10:18:53 2005 +0000

  * Update to speaker-tools 0.0.7

commit d0dfabd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Feb 17 15:03:35 2005 +0000

  * Use -q option with grep

commit c44463f
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Feb 16 10:03:52 2005 +0000

  * fix buffer length calculation

commit d7d4a53
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Feb 16 09:54:28 2005 +0000

  * clarify options in man page

commit 5df127e
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Wed Feb 16 09:52:25 2005 +0000

  * allow --send-hex data without quotes

commit 943bf55
Author: Giuliano Pochini <pochini@shiny.it>
Date:   Fri Feb 4 15:35:27 2005 +0000

  * amixer no-range-checking option

commit 4d710af
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 31 17:49:38 2005 +0000

  * Fix exit code

commit ffa1ca0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 31 17:49:04 2005 +0000

  * Fix exit code

commit 4cd2c00
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 31 13:52:09 2005 +0000

  * Fix exit status

commit b729f4f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 31 13:48:50 2005 +0000

  * exits with status 0 after -h option

commit e188eaf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 31 13:46:05 2005 +0000

  * Show other view names

commit 6781eaa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 24 12:02:35 2005 +0000

  * return error code on faillure

commit 99e0fe4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 20 18:06:10 2005 +0000

  * Sort options in alphabetic order

commit 2b83c39
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 13 15:42:25 2005 +0000

  * Fix compile warnings

commit 7fe50fb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jan 13 15:32:56 2005 +0000

  * Fix make without NLS

commit 7cebba0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 13 09:55:09 2005 +0000

  * release: 1.0.8

commit 6812016
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 12 11:08:53 2005 +0000

  * Support quick volume change

commit c074e5e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 12 11:02:27 2005 +0000

  * Remove number key assignment

commit f729665
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Jan 10 08:25:27 2005 +0000

  * fix crashes when selecting an empty view

commit 2508fc5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 5 11:40:10 2005 +0000

  * Fix installation

commit 7ab9d16
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 5 06:59:09 2005 +0000

  * release: 1.0.8rc2

commit 6cac980
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 13:35:10 2005 +0000

  * Fix installation

commit 02244f6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 13:33:06 2005 +0000

  * Fix VU meter

commit 990153e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 13:32:34 2005 +0000

  * Fix compilation

commit bc70fd0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 12:00:08 2005 +0000

  * Usability improvement

commit 82c3b09
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 11:57:42 2005 +0000

  * Misc clean up

commit f29d8f6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 11:57:02 2005 +0000

  * Require alsa-lib 1.0.8

commit 2b86b6f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 11:56:27 2005 +0000

  * Support user-defined controls

commit 2904d69
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 3 11:55:04 2005 +0000

  * Move m4 to the tail of SUBDIRS

commit 0aa74e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 29 16:10:47 2004 +0000

  * i18nize alsaconf

commit 533d55e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 21 15:24:44 2004 +0000

  * release: 1.0.8rc1

commit d679214
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 21 14:33:10 2004 +0000

  * release: 1.0.8-rc1

commit 8758423
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Dec 20 13:18:23 2004 +0000

  * More descriptions about mixer views and view modes

commit 0b9e757
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Dec 20 13:17:47 2004 +0000

  * Add -V option

commit 2c82a98
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Dec 20 13:17:08 2004 +0000

  * Start aplay/arecord in non-blocking mode

commit 30b6080
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Dec 15 15:15:56 2004 +0000

  * Reinitialize the size calculation at view change

commit 063ff48
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 3 13:34:39 2004 +0000

  * Assign alternative keys for function keys

commit 7b0c738
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 2 17:27:41 2004 +0000

  * Change the view toggle behavior

commit 245c371
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Thu Dec 2 14:44:58 2004 +0000

  * Add man page of speaker-test

commit 78c7251
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 11 18:29:03 2004 +0000

  * release: 1.0.7

commit 067be21
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 9 18:36:47 2004 +0000

  * added requirements section and fixed the obsolete path

commit 78f5bee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 12 05:58:45 2004 +0000

  * release: 1.0.7rc2

commit ca5f8cb
Author: Nicolas FRANCOIS <nicolas.francois@centraliens.net>
Date:   Fri Oct 8 16:15:34 2004 +0000

  * Fix hyphens in man pages

commit 33b47cd
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 11:29:02 2004 +0000

  * make alsaconf parse lspci output correctly

commit 24f54a9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 24 10:19:29 2004 +0000

  * Assign '?' key for help

commit 9adc21f
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 10:00:42 2004 +0000

  * mention that commands given to alsamixer in upper case can also be
    entered in lower case

commit dba1bfa
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:58:20 2004 +0000

  * Refrain from creating /etc/modprobe.conf if it does not already
    exist

commit 7de47ff
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:53:32 2004 +0000

  * Add a missing letter 'e'

commit c7faadd
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:51:45 2004 +0000

  * Describe what happens if aplay's --duration is zero

commit 3e60805
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:49:57 2004 +0000

  * fixes its use of formatting codes in amixer.1

commit 3b32c65
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:36:52 2004 +0000

  * mention that '<' and '>' mute channels separately only if the
    hardware supports this

commit 3e56166
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Fri Sep 24 09:33:20 2004 +0000

  * Correct the description of the function of the spacebar in
    alsamixer.1

commit 57cf365
Author: Thomas Hood <jdthood@yahoo.co.uk>
Date:   Thu Sep 23 11:00:35 2004 +0000

  * In Debian write to the correct configuration file

commit 72ae8b1
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon Sep 13 07:04:53 2004 +0000

  * various bugfixes

commit dfec58e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 31 16:27:25 2004 +0000

  * [alsaconf] fix probing, option clean up.

commit 398713e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 27 16:29:20 2004 +0000

  * James Courtier-Dutton <James@superbug.demon.co.uk>:

commit 63909d1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Aug 27 16:25:37 2004 +0000

  * Fixed the detection of audio class.

commit acdd331
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Aug 15 08:24:58 2004 +0000

  * release: 1.0.6

commit 095e741
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 10 09:46:19 2004 +0000

  * Fixed typo

commit 91bac61
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 5 14:33:56 2004 +0000

  * Added -c option to specify the module config file.

commit 59bf7f2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 4 15:21:12 2004 +0000

  * Fixed the wrong integer suffix.

commit 5e02c1d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 4 13:42:02 2004 +0000

  * release: 1.0.6rc1

commit ce70bf0
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Fri Jul 9 07:09:28 2004 +0000

  * manpages: remove bogus .ID macro, use .TP for examples

commit 36b797f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 1 09:36:54 2004 +0000

  * Show warning if the format is changed due to the file type. (e.g.
    WAV yields little-endian)

commit d6b7774
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Thu Jun 10 15:50:58 2004 +0000

  * print caption in hardware list only once

commit 5b0f5df
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri May 28 13:17:19 2004 +0000

  * release: 1.0.5

commit b10e3b2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 24 17:58:29 2004 +0000

  * release: 1.0.5rc1

commit 2db52ba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 16 13:43:29 2004 +0000

  * James Courtier-Dutton <James@superbug.demon.co.uk> I attach a patch
    that updates the speaker-test program. It corrects a few minor bugs
    as well as add a new -s option.

commit e4d3e84
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 11 16:58:48 2004 +0000

  * show single values for mono volumes.

commit 25dba8a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon May 10 14:28:02 2004 +0000

  * added speaker-test utility by James Courtier-Dutton
    <James@superbug.demon.co.uk>

commit 4b26b77
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Mon May 3 10:03:57 2004 +0000

  * fix default buffer time setting when maximum buffer time is less
    than 250 ms

commit 25141fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 27 13:38:59 2004 +0000

  * amorac <amorac@ole.com> arecord doesn't record if you don't indicate
    the time limit The problem happens when the Wave-file is checked for
    it being even. I have tried with the next change in aplay.c and it
    seems to work fine.

commit eb52dc6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 19 14:43:26 2004 +0000

  * Gentoo update

commit 58a11d8
Author: Clemens Ladisch <clemens@ladisch.de>
Date:   Tue Apr 6 06:22:19 2004 +0000

  * arecordmidi enhancements by Pedro Lopez-Cabanillas

commit cfa7fe1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Apr 3 09:41:15 2004 +0000

  * release: 1.0.4

commit 18e600e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Apr 3 08:40:17 2004 +0000

  * Added AC_PREREQ(2.53) for autoconf

commit ca51bbf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 26 16:15:46 2004 +0000

  * release: 1.0.4rc1

commit 789ca41
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 19 13:29:23 2004 +0000

  * fixed the legacy detection with the recent modprobe

commit e9dc0c0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 14 17:06:24 2004 +0000

  * Added rpmbuild detection

commit 2b6e61e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 9 17:43:46 2004 +0000

  * Jeff Law aplay.c relies upon a GCC extension that has been removed.
    Specifically the "cast as lvalue" extension. This patch removes this
    dependency.

commit 9a30928
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 9 13:18:29 2004 +0000

  * more 64-bit stuff

commit b5cb7ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 5 16:52:11 2004 +0000

  * added a workaround for some dell dimension board.

commit 728dc25
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 29 14:18:28 2004 +0000

  * 1.0.3 release

commit 519ad64
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 25 15:37:09 2004 +0000

  * 1.0.3rc2

commit 29fd44b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 25 14:39:45 2004 +0000

  * - use /etc/modprobe.d/sound config file if possible.

commit 1ef970a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 25 11:26:07 2004 +0000

  * fixed a typo.

commit 6957fca
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 25 11:25:53 2004 +0000

  * added --with-curses option to specify the curses library.

commit 60f7deb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 25 11:25:26 2004 +0000

  * added AUTOMAKE_OPTIONS.

commit 7759ed8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 24 09:19:31 2004 +0000

  * Clemens Ladisch <clemens@ladisch.de> fix error messages for
    snd_mixer_load

commit 1ae3fa8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 23 10:58:34 2004 +0000

  * Clemens Ladisch <clemens@ladisch.de> add aplaymidi & arecordmidi
    utilities

commit 33b53d8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 21 18:44:18 2004 +0000

  * Fixed wrong message (load error)

commit 67f9638
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 16 16:44:59 2004 +0000

  * - clear the screen after configuring the device.

commit 5eafc3c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Feb 16 16:44:06 2004 +0000

  * Alexander E. Patrakov:

commit a98d936
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 10 15:58:51 2004 +0000

  * - use the bindir and sbindir set by configure script.

commit 41d38ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Feb 6 11:44:08 2004 +0000

  * - fixed the wrong help description of audio command.

commit d760ae6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 4 19:23:44 2004 +0000

  * - fixed the color of subwindow title.

commit 6a915e8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 30 16:26:22 2004 +0000

  * - show the version number of the package. - use ACS_CKBOARD for the
    volume bars. - fixed the path of /proc/asound/oss/devices. - fixed
    the max length to display the item name.

commit a7bd883
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 26 19:30:45 2004 +0000

  * 1.0.2

commit df19786
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 26 15:57:37 2004 +0000

  * fixed for the recent autoconf.

commit e24a1cb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Jan 19 18:39:12 2004 +0000

  * Clemens Ladisch <clemens@ladisch.de>:

commit 2ac2af4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jan 16 18:15:05 2004 +0000

  * - fixed typos in the help text.

commit 8787345
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 13 16:11:56 2004 +0000

  * Clemens Ladisch <clemens@ladisch.de>:

commit 5c5f796
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 8 14:18:03 2004 +0000

  * 1.0.1

commit 5a7e82a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 5 13:15:52 2003 +0000

  * Moved alsaconf to sbin directory

commit 3dff39c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 5 13:13:00 2003 +0000

  * More compatible tests

commit 8a28f21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 5 08:50:53 2003 +0000

  * One more fix for path

commit 748fd45
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 5 08:35:04 2003 +0000

  * Added more paths for rcalsasound

commit 267be1f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 5 08:26:23 2003 +0000

  * 1.0.0rc2

commit 203cc05
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 1 09:19:48 2003 +0000

  * 1.0.0rc1

commit 8383eaf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 28 10:24:53 2003 +0000

  * Fixed calc_count() routine - wav files with traling RIFF chunks
    sound ok now

commit 911e5f7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 27 11:07:25 2003 +0000

  * - fixed the infinite loop in probing a card control.

commit 951dda3
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 26 18:07:27 2003 +0000

  * fixes by Philippe De Muyter  <phdm@macqel.be>:

commit 3f76581
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 25 16:39:29 2003 +0000

  * Ronny V. Vindenes <s864@ii.uib.no> Include all man pages
    (alsaconf(8) was not included before)

commit 3ef2fd0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 25 13:03:39 2003 +0000

  * 1.0.0pre3

commit cae75d5
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Nov 25 12:15:48 2003 +0000

  * - added the check of mandrake.

commit 7d1c6cb
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 24 11:42:24 2003 +0000

  * fix by Fernando Pablo Lopez-Lezcano <nando@ccrma.Stanford.EDU>:

commit f416722
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 24 08:13:37 2003 +0000

  * Use global alsa.m4 configuration

commit 4a66190
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 18 16:27:35 2003 +0000

  * 1.0.0pre1

commit c40e8fa
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 17 18:32:52 2003 +0000

  * - removed experimental codes.

commit cfe0a62
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 14 16:22:25 2003 +0000

  * - fixed the progress bar. - fixed the detection on 2.6 kernels. -
    check root priv. after parsing the option   (allow normal users to
    see help)

commit 80476a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 5 11:08:25 2003 +0000

  * - changes against PCM API switch - 1.0.0 version - fixed amidi
    warning

commit 1f2d8e4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 3 10:43:32 2003 +0000

  * Clemens Ladisch <clemens@ladisch.de> - add error handler for ALSA
    errors - enumerate all controls to find the desired control  
    (because SPDIF is device 1 on ymfpci)

commit 394fde8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 30 12:00:38 2003 +0000

  * - fixed (now really) for 2.6 modprobe.conf. - clean up, modprobing
    without a temporary file. - alsaconf will set up only the minimum
    aliases/options. - cosmetic message changes.

commit 7152617
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 29 13:38:23 2003 +0000

  * - added alsaconf script. - fixed alsaconf script for the new module
    tools of 2.6 kernel.

commit 1d8fa52
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 28 17:42:28 2003 +0000

  * - fixed Makefile. - don't include but link iecbits.c.

commit e90417e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Oct 28 10:53:43 2003 +0000

  * - added amidi utility by Clemens Ladisch <clemens@ladisch.de> -
    fixed .cvsignore and README

commit 5f8a137
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 23 16:54:32 2003 +0000

  * - moved iecset from alsa-lib/test. - added man page.

commit 4a8060d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 21 17:41:36 2003 +0000

  * 0.9.8

commit 3d3fbd7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 17 07:34:19 2003 +0000

  * Fixed possible buffer overrun

commit d6e0630
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 25 19:53:43 2003 +0000

  * 0.9.7

commit 9b621ee
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 11 11:23:58 2003 +0000

  * - fixed the order of period and buffer size setting.   firstly
    period then buffer size.  this will avoid the problem of   rounding.

commit 0cc48a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 27 11:12:50 2003 +0000

  * More size_t off64_t changes

commit 5014a50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 27 11:08:27 2003 +0000

  * Added snd_config_update_free_global() calls and 64-bit file offset
    support

commit 340b2ca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 11 09:42:16 2003 +0000

  * Use float to avoid overflow

commit cb8494d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 7 14:48:17 2003 +0000

  * - added --buffer-size and --period-size options. - accept -h as the
    help :) - fixed VU meter for 8 bit and negative values. - updated
    man page.

commit 271d3b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 31 07:39:13 2003 +0000

  * Fixed version string

commit 4bc7659
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 30 17:54:42 2003 +0000

  * Added handling of DRAINING state and extended verbose parts

commit d1f08a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 29 14:33:47 2003 +0000

  * Yes, we have 192kHz hardware now

commit 6cccbcc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 28 11:51:45 2003 +0000

  * 0.9.6

commit 4fdde2d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jul 22 16:38:25 2003 +0000

  * show the mute status in the item line, too.

commit c48c0f6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 8 08:21:56 2003 +0000

  * 0.9.5

commit b24728b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 20 18:13:28 2003 +0000

  * fixes by Clemens Ladisch <clemens@ladisch.de>:

commit 43a2330
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Jun 20 18:09:49 2003 +0000

  * - search cardX entry if no card is found and -F option is given
    (i.e.   force to read the old-style entry).

commit f586f8b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 16 18:46:06 2003 +0000

  * Fixed ncurses test

commit 6d7d5a3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jun 14 08:32:44 2003 +0000

  * Added --disable-alsamixer to configure script

commit 09982b1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 4 07:31:50 2003 +0000

  * Added -f cdr

commit cab4c16
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat May 31 17:49:55 2003 +0000

  * 0.9.4

commit ee36a83
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 28 09:04:52 2003 +0000

  * Eliot Blennerhassett <bigblen@icqmail.com>: fixed negative ranges

commit 04020b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 28 07:25:26 2003 +0000

  * Volume can be lower than zero, too

commit 8999f66
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 15 06:51:29 2003 +0000

  * Removed keywords from comments

commit 35ea127
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu May 1 08:28:15 2003 +0000

  * Added alsa_m4_flags

commit 3165e73
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 30 15:14:58 2003 +0000

  * 0.9.3

commit 071c299
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 27 08:46:33 2003 +0000

  * Added missing initialization of pbrec_count variable

commit 812cb6c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Apr 19 08:38:50 2003 +0000

  * More verbose error report (xrun)

commit 5db7e98
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 1 15:51:16 2003 +0000

  * Removed info_is_first - commited by mistake

commit c8965f5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Apr 1 14:09:09 2003 +0000

  * alsactl: indirect removal; amixer - fixed typos

commit 537a149
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 19 17:58:09 2003 +0000

  * 0.9.2

commit 436b337
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Mar 19 14:42:00 2003 +0000

  * - fixed the capture to stdout in WAV. - allow more than 32bit int in
    the raw capture mode.

commit 093a701
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 17 10:33:39 2003 +0000

  * Enhanced detection for ncurses

commit 3924ff0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 11 21:11:04 2003 +0000

  * 0.9.1 release

commit ab0043f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 10 14:25:45 2003 +0000

  * Added a small intro for device_list

commit 9ba313f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 7 20:45:26 2003 +0000

  * 0.9.0rc8a

commit 433d633
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 7 20:21:17 2003 +0000

  * automake cleanup

commit 9cf573f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Mar 6 12:52:33 2003 +0000

  * Ronny V. Vindenes <s864@drone.ii.uib.no> Cleanup the alsa-utils rpm
    spec:  * removed wrongly included doc file  * changed BuildRoot from
    /var/tmp to %{_tmppath}  * use standard rpm macros for %build &
    %install  * updated dependencies

commit 219caa5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Mar 2 20:06:05 2003 +0000

  * 0.9.0rc8

commit 53fb81e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 24 13:51:15 2003 +0000

  * Here's a new batch of Debian patches, all from David B. Harris.

commit 1bfb694
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 24 12:44:05 2003 +0000

  * Sparc (AU) format is big endian (16-bit)

commit 3ca2330
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 17 18:07:24 2003 +0000

  * Don't clear resources in signal handler more than one time

commit cab2b63
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 12 13:51:25 2003 +0000

  * Added rate check

commit dfe70d8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 4 16:03:36 2003 +0000

  * - fixed compile warnings on gcc3.3.

commit c8ae22e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 4 16:03:12 2003 +0000

  * - fixed the calculation of playback/record count. - fixed compile
    warnings on gcc3.3.

commit 056ee95
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jan 29 11:15:54 2003 +0000

  * fixed the calculation of duration time for playback.

commit d8bfeb1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 29 10:40:36 2003 +0000

  * 0.9.0rc7

commit fa0f610
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 7 13:44:08 2003 +0000

  * fixed the command line options.

commit bb2024f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Dec 20 16:32:50 2002 +0000

  * fixed the capture arguments: capture -> cap, nocapture -> nocap.

commit bc9fc75
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 19 11:26:55 2002 +0000

  * Redo wrong changes by Takashi

commit e8fd940
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Dec 19 11:10:05 2002 +0000

  * store the actual RIFF length at the wav header by arecord. will fix
    the data generated withtout -d option.

commit f2aad9f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 18 12:04:59 2002 +0000

  * Fixed detection of 24-bit wav files

commit 674e316
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 4 14:41:32 2002 +0000

  * type cleanups

commit 1bcafc0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Dec 3 11:07:57 2002 +0000

  * added autoheader in the list of command sequences for CVS
    compilation.

commit a439342
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 2 20:18:29 2002 +0000

  * Added POLLNVAL test

commit 870f736
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 29 17:32:52 2002 +0000

  * added a note about ESC key.

commit ea77241
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Nov 29 17:32:34 2002 +0000

  * - removed __FUNCTION__; this will lead to many warnings with the  
    recent gcc... - disabled the ESC prefix, which never works properly.

commit ed80be2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 25 18:16:24 2002 +0000

  * Added detection for POLLERR

commit 3341f0a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 14 13:26:05 2002 +0000

  * 0.9.0rc6

commit f875ef4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 24 12:10:53 2002 +0000

  * Added depcomp

commit 001d825
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 24 11:44:18 2002 +0000

  * Removed --bzip2 option for older call

commit c176bd9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 23 18:58:04 2002 +0000

  * It seems that older tars are confused with --bzip2, use pipe instaed

commit fc5bc91
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 23 18:34:32 2002 +0000

  * Used long options for tar

commit 6577dc5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 23 17:57:48 2002 +0000

  * 0.9.0rc5

commit 66b3fc6
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 23 15:00:24 2002 +0000

  * added --copy to automake.

commit aebe10b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 23 13:23:57 2002 +0000

  * Added check for AMTAR

commit e85ff0f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 23 07:38:59 2002 +0000

  * Use long option for bzip2 compression to make it work with new and
    older tar

commit c64ae17
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 22 20:16:13 2002 +0000

  * Returned old I flag for tar

commit 4101632
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 22 19:23:54 2002 +0000

  * Changed AMTAR -> TAR

commit 64ac532
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 22 18:21:34 2002 +0000

  * 0.9.0rc4

commit ad59b50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 22 18:00:52 2002 +0000

  * Use new sw params API

commit a44f504
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Oct 10 11:02:54 2002 +0000

  * reverted acconfig.h for the old autoheader. include/aconfig.h.in is
    removed.

commit b15bba0
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 7 10:41:57 2002 +0000

  * - using $(AMTAR) instead or $(TAR) in the Makefile.am - using -j
    instead of -I to compress using bzip2 rather than gzip

commit 524a76c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Oct 7 09:58:00 2002 +0000

  * get back for the old autoheader.

commit 09d1af8
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 4 13:13:03 2002 +0000

  * removed unnecessary files from repository

commit 884bc10
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 2 14:42:00 2002 +0000

  * - fixed the multi-line string (deprecated). - fixed the calculation
    of max peak for 32bit samples. - change -v option accumulative. 
    peak bars are shown with double -v   options.

commit 3b589dd
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Oct 2 11:24:19 2002 +0000

  * removed; conflicts with autoheader

commit 818b37a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 19 16:19:12 2002 +0000

  * Updated to latest alsa-lib

commit 69a903d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 19 10:26:22 2002 +0000

  * Fixed warning

commit 7dbfb61
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 17 13:02:17 2002 +0000

  * Updated for last changes

commit ec9ecfc
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 9 14:27:18 2002 +0000

  * added the handling of enum controls, using the recent addition to
    alsa-lib.

commit 28d0fda
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 6 15:21:01 2002 +0000

  * added -F option to restore the matching control elements as much as
    possible.

commit a00e467
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 27 16:33:28 2002 +0000

  * added -P (--playback) and -C (--capture) options to specify the
    stream explicitly regardless of its program name.

commit a07a85b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 27 16:32:16 2002 +0000

  * support 24bit WAV format. test sample files are wanted!

commit 4ce67c7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 15 15:13:33 2002 +0000

  * 0.9.0rc3

commit 83ea889
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Aug 6 07:46:19 2002 +0000

  * fixed the error message

commit f098bd3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 6 07:09:12 2002 +0000

  * Added autoheader call

commit e52214d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 17 12:05:15 2002 +0000

  * - removed obsolete group option. - made error handling consistent.

commit d6b09c3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jun 19 09:28:26 2002 +0000

  * 0.9.0rc2

commit ea1fec7
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 17 15:48:33 2002 +0000

  * fixed capture of wav on big-endian.

commit bd2c771
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 13 09:54:24 2002 +0000

  * Added INTEGER64 support by Paul Davis

commit 133c82b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 7 12:20:55 2002 +0000

  * fixed typo:  removed unnecessary arg.

commit b9f9453
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 7 12:20:19 2002 +0000

  * fixed the format of 16bit-au file.

commit 2ebe53c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Apr 29 16:00:28 2002 +0000

  * fixed typo of --period-size option.

commit b382b9c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Apr 24 15:30:45 2002 +0000

  * 0.9.0rc1

commit b028a84
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 7 20:44:35 2002 +0000

  * Updated

commit 35d972e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 7 20:42:20 2002 +0000

  * Added -D (--device option), changed semantics of -c option (same as
    alsamixer)

commit 44c2918
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 1 19:29:22 2002 +0000

  * Fix for raw data recording by Georgios Papoutsis <gepap@gmx.de>

commit eab1645
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 22 17:34:20 2002 +0000

  * fixed handling of mono capture-switch on a stereo volume.

commit b61885f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 22 12:02:30 2002 +0000

  * - fixes by Bernhard Kaindl. - use the fixed event packet size to
    make it work regardless of   pointer size.   still there is
    endian-problem, though..

commit 7836d64
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 12 13:05:20 2002 +0000

  * fixed typo.

commit 23d9d20
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Mar 12 12:30:49 2002 +0000

  * fixed handling of capture switch / volume.

commit 95c2d50
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 8 21:52:20 2002 +0000

  * Fixed playing of wave files with big header section

commit d81f16b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Feb 27 18:07:11 2002 +0000

  * fixed / improved handling of capture volumes and switches.

commit 3ed9466
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 26 08:56:19 2002 +0000

  * 0.9.0beta12

commit 3fc76a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 23 09:28:47 2002 +0000

  * Fixed count overflow problem

commit 5524873
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 22 08:30:04 2002 +0000

  * Improved peak printed results

commit a529f34
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Feb 19 12:32:09 2002 +0000

  * Added --add-missing option to automake.

commit 71e80fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 17 17:50:39 2002 +0000

  * 0.9.0beta11

commit 158ceab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 17 17:50:02 2002 +0000

  * Fixed OOPS

commit 6c97531
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 7 16:46:29 2002 +0000

  * Added support for 32-bit counts

commit 7ba18d0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 2 19:29:04 2002 +0000

  * Fixed calculation of start_delay

commit 6a76ce5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Feb 2 09:47:19 2002 +0000

  * Added limits for start_threshold

commit 10eb237
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 10 08:32:29 2002 +0000

  * Fixed parsing of boolean value for cset

commit ccb2381
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 6 10:17:28 2002 +0000

  * Fixed arecord dependency

commit fbef826
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 30 09:36:26 2001 +0000

  * Added arecord to bin_PROGRAMS

commit bc638e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 30 09:32:53 2001 +0000

  * Updated GNU GPL (address)

commit e0eb9cc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 7 20:13:28 2001 +0000

  * Fixed window resize signal handling and poll handling

commit acf749d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 7 19:53:51 2001 +0000

  * Fixed view position

commit 4fd58fd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 20:27:04 2001 +0000

  * 0.9.0beta10a

commit c5a22a4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 1 20:26:46 2001 +0000

  * Fixed default start_delay for arecord

commit a2a165a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 30 17:39:40 2001 +0000

  * 0.9.0beta10

commit e98c0a3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 27 17:37:48 2001 +0000

  * Default start_delay is zero (maximum buffering)

commit 411d312
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 18:39:49 2001 +0000

  * Fixed typos

commit 0067b89
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 18:35:01 2001 +0000

  * A bit updated

commit d18a645
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 26 18:24:41 2001 +0000

  * Added exit for configure and test for CVSCOMPILE_NO_MAKE

commit c81835c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 20 09:05:27 2001 +0000

  * Removed unused pack target

commit 69e927f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 20 09:04:26 2001 +0000

  * Updated for SuSE and automake

commit 39cc208
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 20 09:03:43 2001 +0000

  * Updated...

commit fcd84b4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 19 12:00:18 2001 +0000

  * Updated to snd_config_get_id changes

commit bd6e546
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 14 07:38:18 2001 +0000

  * Fixed wave file saving by James Tappin

commit cc3f05a
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Nov 12 15:59:53 2001 +0000

  * Fixed for the current behavior, options.

commit cec3489
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 12 09:36:39 2001 +0000

  * Modifications by Miroslav Benes <mbenes@tenez.cz>

commit 56901ac
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Nov 8 13:29:50 2001 +0000

  * added missing DESTDIR

commit ca506c6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 6 07:51:48 2001 +0000

  * Added man pages to EXTRA_DIST

commit 777b271
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 5 07:48:59 2001 +0000

  * 0.9.0beta9

commit b009e69
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Oct 24 14:41:10 2001 +0000

  * Small cleanups

commit 505135d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 9 12:28:01 2001 +0000

  * Added arecord.1

commit 3eab6fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 16:49:29 2001 +0000

  * Update to suspend messages

commit edf18fe
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 16:41:45 2001 +0000

  * Modified according the power management update

commit bfa0a06
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 15:04:44 2001 +0000

  * Added code for suspend code

commit c72696f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 4 15:03:39 2001 +0000

  * Fixed thinkos (power on, power off)

commit 191da60
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 08:03:52 2001 +0000

  * Fixed warning

commit 0cdfe6f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 2 07:43:12 2001 +0000

  * Fixed peak meter

commit 9528f8a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 19:14:26 2001 +0000

  * Fixed compilation

commit 5ee8a3f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 17:07:45 2001 +0000

  * 0.9.0beta8

commit d205c38
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 27 17:07:07 2001 +0000

  * Added toggle for cset

commit a23db63
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 26 16:05:03 2001 +0000

  * Added power state control

commit 5210f48
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 26 13:08:14 2001 +0000

  * More examples, more updates (toggle)

commit 8c437b3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 20 08:31:12 2001 +0000

  * Added toggle for simple controls and fixed volume setup bug

commit 6bd2669
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 09:34:14 2001 +0000

  * Changed location of asoundlib.h from sys dir to alsa dir. (it means
    that official location is '#include <alsa/asoundlib.h>')

commit a33994d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Sep 11 08:39:48 2001 +0000

  * Added signal handler and the count in captured file is corrected

commit 78b428e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 6 08:57:52 2001 +0000

  * Added peak meter for debugging purposes

commit ca65b68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Sep 5 09:23:31 2001 +0000

  * Fixed inverted controls

commit 29faa91
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 3 12:16:38 2001 +0000

  * Removed unused stuff for poll

commit ea8fe97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 27 09:15:44 2001 +0000

  * Enhanced syntax for sset (channels, direction)

commit abe718c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 22 11:00:07 2001 +0000

  * Corrected endian test

commit f7b6aa5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 22 06:41:16 2001 +0000

  * Fixed compilation

commit 3a9930a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 20 09:28:18 2001 +0000

  * 0.9.0beta7

commit de6eefa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 7 10:34:51 2001 +0000

  * Little updates

commit 95dac87
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 7 10:28:24 2001 +0000

  * Update for 0.9

commit 9a35d63
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 6 15:11:03 2001 +0000

  * Removed digital setup

commit 867feba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 25 11:49:32 2001 +0000

  * Another mono fix

commit e97a0a1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 23 13:26:34 2001 +0000

  * Fixed 'get' output (common and mono parts). Added filter for
    inactive controls. Added -i/--inactive option to disable new filter.

commit 2ecee3b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jul 23 13:08:44 2001 +0000

  * Fixed event handling

commit 72c6afd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 20 07:56:50 2001 +0000

  * 0.9.0beta6

commit ed07d2e
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Jul 12 16:37:38 2001 +0000

  * Fixed thinkos.  Now -x should work well.

commit 99137b4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 11 15:43:01 2001 +0000

  * More fix to compile - removed snd_enum_incr and snd_int_to_enum
    macros.

commit b2fca96
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Jul 11 15:00:59 2001 +0000

  * Fixed compile; removed snd_enum_xxx macros.

commit c7ed13b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 4 13:55:13 2001 +0000

  * Rewritten for the new sequencer API (with encapsulation).

commit e6a4296
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jun 26 10:36:04 2001 +0000

  * 0.9.0beta5

commit 4fc8ecc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 25 13:14:51 2001 +0000

  * mixerid & components change

commit 49829cb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 25 09:16:27 2001 +0000

  * Fixed simple ID parser (when index is ommited)

commit 9f29bed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 15 08:55:17 2001 +0000

  * Cleanups and fixed arguments for *_open() - default.

commit e875ea9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jun 11 07:44:13 2001 +0000

  * Improved help and fixed english typo

commit c9510a2
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jun 6 14:24:10 2001 +0000

  * Corrected message

commit 363a4a4
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jun 4 18:04:19 2001 +0000

  * Added hooked PCM type (one sample hook implementation will follow).
    Some cleaning.

commit 8f7c083
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 23 12:23:10 2001 +0000

  * Removed YACC and LEX checks

commit 009a7fe
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 22 09:19:44 2001 +0000

  * Completed parametric configuration and begun to use it

commit 3c7ef97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 15 12:25:43 2001 +0000

  * Updated

commit 88272c9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 15 12:25:25 2001 +0000

  * Added -D option and improved -c option

commit 2a026a8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 15 12:11:08 2001 +0000

  * Updated

commit 6f75a56
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 15 12:10:22 2001 +0000

  * asound.conf -> asound.state

commit a36456f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 14 17:12:46 2001 +0000

  * 0.9.0beta4

commit bbef4ad
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 22 08:13:29 2001 +0000

  * Fixed warning

commit ef6875f
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Apr 19 21:18:24 2001 +0000

  * Improved automatic start/stop

commit 25f6d0f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Apr 15 09:50:17 2001 +0000

  * Added AU format

commit 891bc76
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Apr 13 15:40:56 2001 +0000

  * Better PCM mmap API. Fixed pcm_multi

commit abcd3a5
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Mar 30 09:43:30 2001 +0000

  * More documentation. Tiny change for simple mixer element API
    (get_range)

commit 98fceb5
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Mar 29 09:10:47 2001 +0000

  * More documentation. Added mode argument to i/o_stdio_open.

commit f8ab746
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Mar 26 12:45:50 2001 +0000

  * Added mode argument to open functions where it was missing. First
    part of CTL documentation

commit 91945c8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 19 15:40:43 2001 +0000

  * 0.9.0beta3

commit b8e931b
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Mar 16 07:35:25 2001 +0000

  * Documentation fixes from Pavel Roskin

commit 3031ae4
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Mar 8 14:20:00 2001 +0000

  * Fixes for pcm_list

commit c34456d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Mar 2 09:44:41 2001 +0000

  * 0.9.0beta2

commit a2c30bf
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 1 17:40:17 2001 +0000

  * close the roof of cabriolet (mixer elements w/o mute).

commit b18b0da
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Mar 1 17:38:07 2001 +0000

  * fixed compile on some gcc version..

commit 946078f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 28 09:01:45 2001 +0000

  * Added period == buffer_size check to prevent misusing

commit 65dde04
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 27 12:27:04 2001 +0000

  * Corrected IEC958 control name

commit 4200ac0
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 25 22:37:18 2001 +0000

  * Updated version number

commit cd88bf9
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 25 11:54:05 2001 +0000

  * Added timersub definition if missing

commit 740881b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 23 09:58:14 2001 +0000

  * Recoded to use poll rather than select and

commit 33b8d47
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Feb 22 10:29:39 2001 +0000

  * Fixed use of poll_descriptors

commit 59bbfe1
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Feb 21 20:46:07 2001 +0000

  * Fixed mute/unmute

commit bfab881
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 20 20:29:40 2001 +0000

  * 0.9.0beta1

commit b43cf63
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Feb 20 08:51:57 2001 +0000

  * Exit if no elems are available

commit 536e7b6
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 18 18:32:31 2001 +0000

  * Changed descriptors_count

commit 7687662
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 18 17:56:38 2001 +0000

  * Added range specification to simple mixer. Fixes to alsamixer. Added
    mixer support to alsa-oss

commit 1a2e4a6
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Feb 15 23:05:42 2001 +0000

  * New simple mixer implementation

commit 20c7e5b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Feb 15 09:14:28 2001 +0000

  * Fixed cset

commit 246c930
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 14 13:08:49 2001 +0000

  * elem_count -> get_count

commit c4212d7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 14 12:22:47 2001 +0000

  * Recoded alsamixer utility to use the latest alsa-lib's API.

commit b62252d
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Feb 13 21:29:38 2001 +0000

  * Changed control to use events mask. Added subscribe ioctl

commit fdacf95
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Feb 13 20:20:52 2001 +0000

  * Fixed unhexing thanks to Anders

commit 9c7ba00
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Feb 13 18:36:36 2001 +0000

  * Fixed typo

commit 0b01722
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Feb 12 23:51:53 2001 +0000

  * More generic support for poll descriptors

commit abd8b9f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 12 13:33:25 2001 +0000

  * Fixed typo & thinko

commit fbec0a5
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 11 15:45:44 2001 +0000

  * Completed mixer API. Improved iterators. Renamed control values
    struct. Rewritten simple elements implementation

commit 7346943
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 15:38:59 2001 +0000

  * Changed according to new hctl API

commit 3fadc21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 9 13:52:39 2001 +0000

  * Temporary hack for compilation

commit 0125842
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Feb 9 11:20:32 2001 +0000

  * Completed control and mixer API

commit 7b2cc96
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Feb 7 17:09:00 2001 +0000

  * Fixed sign

commit 7d75ba2
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Feb 7 15:13:17 2001 +0000

  * Better names for control API

commit 4b6c8ce
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Feb 7 11:34:42 2001 +0000

  * Encapsulated conf API

commit 0ef8943
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Feb 6 23:48:29 2001 +0000

  * Control API encapsulation. Better names for kernel API. Simpler PCM
    hw_params API. Added missing const.

commit 3df0171
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Feb 5 15:44:45 2001 +0000

  * Encapsulated hwdep. Converted all enums to type safety

commit 2121e15
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Feb 4 17:03:19 2001 +0000

  * Corrected and completed encapsulation for PCM and rawmidi. Remove
    SND_PCM_HW_PARAM_* and use functions. Separated rawmidi info between
    streams

commit a242685
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jan 31 17:26:59 2001 +0000

  * Removed card type from devices info. Added card number to devices
    info. Completed encapsulation of PCM API. Removed snd_pcm_card().
    All copy functions now have the form copy(dst, src).

commit 6f4c05c
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Jan 30 16:51:28 2001 +0000

  * Added snd_ prefix to mask and interval. Divided header.h wrappers

commit d1f96b6
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jan 29 14:27:56 2001 +0000

  * First step toward encapsulation

commit 72db56c
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jan 29 08:41:26 2001 +0000

  * Fixed aplay -l

commit 025a1c8
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jan 17 11:00:34 2001 +0000

  * Added I/O classes

commit be058e4
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jan 15 13:43:08 2001 +0000

  * Changed some remaining size_t's

commit 744c879
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jan 15 11:06:55 2001 +0000

  * New PCM model with fragment concept removal and two interrupt
    sources Renamed size_t/ssize_t to
    snd_pcm_sframes_t/snd_pcm_uframes_t

commit 7b49188
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Jan 9 19:35:52 2001 +0000

  * Fixed missing mask initialization

commit 924fa17
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Dec 29 15:00:55 2000 +0000

  * PCM API cleaning. silencing implementation. xfer_min removal

commit 38fd1dc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 27 21:24:57 2000 +0000

  * aplay/arecord

commit 652941f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 22 14:03:15 2000 +0000

  * Updated the S/PDIF test code.

commit 66608d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 22 11:25:11 2000 +0000

  * Added support for IEC958

commit 84f294a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 21 21:53:07 2000 +0000

  * S/PDIF related changes..

commit a3696de
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Dec 21 20:44:11 2000 +0000

  * New hw_params implementation

commit 2f0a374
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 11 12:29:49 2000 +0000

  * pcm_name defaults to plug:0,0

commit 2f6416f
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Dec 11 11:19:39 2000 +0000

  * Fixed non interleaved with only one channels case

commit eadcd7a
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Dec 7 15:58:04 2000 +0000

  * Runtime hw_info constraints support. New hw_info with lengths

commit deb4498
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 4 16:48:30 2000 +0000

  * Fixed types

commit 5f542e2
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Dec 4 10:08:30 2000 +0000

  * More relaxed strategy

commit 6228fe8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Dec 1 11:49:54 2000 +0000

  * Fixed removal of hidden connections

commit 3180b94
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 30 19:25:50 2000 +0000

  * Updates for the latest API (the next device changes).

commit b62a07a
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Nov 30 14:14:36 2000 +0000

  * Fixed sw_params

commit fd099e6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 29 18:34:03 2000 +0000

  * Added debug flags

commit 95785f8
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Nov 29 18:29:31 2000 +0000

  * Missing letters

commit 880f642
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Nov 29 18:27:33 2000 +0000

  * Added experimental options for spdif output (for debugging purpose)

commit c3348ac
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Nov 29 08:32:36 2000 +0000

  * Cleaned all hw_info. Removed snd_pcm_hw_{info,params}_rules* and
    changed strategy to allow the same functionality. Cleaned names
    tables. Added informative failure

commit fc9fc22
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 25 18:25:56 2000 +0000

  * English updates

commit 69a69ad
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 25 16:38:04 2000 +0000

  * Added the error handler ignoring misleading warnings...

commit cc398d1
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Nov 21 20:38:50 2000 +0000

  * Fixed open default

commit 86b5013
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Nov 21 17:15:06 2000 +0000

  * Changed default ctl name to open

commit 25b7943
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 20 20:11:13 2000 +0000

  * Merged pcmfinal branch.

commit cfce590
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 4 12:16:28 2000 +0000

  * DESTDIR fixes

commit 00cf60e
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Oct 14 10:35:24 2000 +0000

  * Ported to alsa-lib changes

commit 0f2eaba
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Oct 7 17:00:33 2000 +0000

  * Removed memory leak

commit 5e4997b
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Oct 5 11:25:01 2000 +0000

  * Removed snd_pcm_drain done before setup

commit fe0398a
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Oct 5 10:26:08 2000 +0000

  * Removed ptrs from status. Some cleaning for alsa-lib

commit da8c3ed
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Oct 3 06:47:16 2000 +0000

  * Removed xrun_max. Cleaned xrun handling

commit 907eba4
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Oct 2 20:23:29 2000 +0000

  * Removed xrun_act. Added SND_PCM_STATE_DRAINING. Clean spinlock abuse
    in read/write path

commit 543e387
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Oct 2 07:00:00 2000 +0000

  * Renamed stop -> drop in API

commit 2ec9909
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Sep 29 20:49:20 2000 +0000

  * Completed renaming drain->stop, flush->drain (PCM). Done renaming
    drain->drop, flush->drain (rawmidi and seq). Removed wrong module
    usage count inc/dec from mmap

commit 637b3f8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Sep 24 09:57:50 2000 +0000

  * Merged pcmplug branch.

commit ff3ef01
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 18 09:47:46 2000 +0000

  * Added Item: line

commit b03e752
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 18 09:47:01 2000 +0000

  * Corrections for 'char *card'

commit e0847b4
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Sep 14 10:19:45 2000 +0000

  * Accept the client name as address argument of aconnect and aseqnet.
    You may use aconnect like this: 	% aconnect External:0 Emu8000:1

commit d57f1ef
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Sep 12 12:40:09 2000 +0000

  * Fixed thinko

commit 5085796
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Sep 12 07:11:02 2000 +0000

  * Some cleaning renames. Prepared API for new plugins

commit 4ce15b2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 11 16:12:14 2000 +0000

  * removed ansidecl.h

commit d594ba1
Author: Takashi Iwai <tiwai@suse.de>
Date:   Mon Sep 11 16:03:51 2000 +0000

  * Fixed group and permission checks

commit a6427e6
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Sep 11 15:49:33 2000 +0000

  * Added abstraction layer to controls. Added client/server support to
    controls. Cleaned private_data use for PCMs. Cleaned aserver

commit 787089c
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Sep 10 09:53:33 2000 +0000

  * Removed step if not needed. Fixed typo. Allow store/restore to/from
    stdio

commit fad195a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Sep 9 23:17:04 2000 +0000

  * Fixed -l output

commit 8013b4b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 4 09:18:13 2000 +0000

  * Recoded WAV file parser

commit 1e5289d
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Sep 1 16:25:10 2000 +0000

  * Bug fixes and modifications for the recent change of sequencer API.

commit c786b1b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Thu Aug 31 11:20:34 2000 +0000

  * Add -x option for removing all exported connections

commit 9281f6b
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Aug 31 09:33:56 2000 +0000

  * Updated

commit 9d3cbc3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 29 08:04:19 2000 +0000

  * Next fix in safe_read

commit 7670210
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Aug 28 06:33:08 2000 +0000

  * Fixed buffer overflow spotted by Henrik

commit 762dd6b
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Aug 26 08:30:41 2000 +0000

  * Congruent iface naming

commit daa1208
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Aug 25 16:37:31 2000 +0000

  * Some typos. Be relaxed wrt syntax error on store

commit 44ee42e
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Aug 25 14:36:58 2000 +0000

  * Better name for snd_card_get_index. Cleaned error messages

commit 8c4e1aa
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Aug 25 14:34:26 2000 +0000

  * Rewritten alsactl

commit 6add1cd
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Aug 24 17:59:21 2000 +0000

  * Ported aplay to named PCMs

commit 983837e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 23 14:38:37 2000 +0000

  * Fix

commit a8cbebd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 22 17:35:12 2000 +0000

  * Fixed heap overwriting problems...

commit bf4625c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Aug 19 09:08:39 2000 +0000

  * More verbose errors, added safe_read for pipes

commit ccffbc6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Aug 16 13:36:24 2000 +0000

  * A few fixes and added undocumented 'sevents' command

commit fbb7b7c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Aug 12 15:34:17 2000 +0000

  * Added (undocumented) events command

commit 80e0e86
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Aug 11 21:02:34 2000 +0000

  * Slightly better failure diagnostic

commit c569788
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 11 19:29:55 2000 +0000

  * First attempt to make this tool functional with latest 0.6.x mixer
    API.

commit ad018be
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 4 09:55:35 2000 +0000

  * 64-bit fixes..

commit eb4a1a6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 28 20:19:42 2000 +0000

  * Removed debugging lines..

commit 8af5251
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jul 26 11:40:31 2000 +0000

  * Added missing index match

commit 50658ad
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 25 15:17:55 2000 +0000

  * Changed syntax of configuration file and added better parsing.

commit 67aefd9
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jul 17 15:33:29 2000 +0000

  * Added dump facility. Continued pcm_multi implementation

commit 9d5b8f2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jul 15 10:21:59 2000 +0000

  * Changes reflecting the new control API and kernel mixer API removal.

commit 5416409
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jul 12 16:25:21 2000 +0000

  * Fixed timelimit use

commit c88189e
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Jul 6 17:20:49 2000 +0000

  * Fixed arecord bug wrt time limit

commit f46d20e
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jul 3 07:44:08 2000 +0000

  * Added missing include

commit bc41b6a
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Jul 1 10:38:30 2000 +0000

  * Moved some info fields to proper place (setup). Renamed mmap_size to
    mmap_bytes. Added detailed fail report to params_t. Added
    params_info to API.

commit 08c3ad2
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Jul 1 10:37:42 2000 +0000

  * Updated

commit da6110d
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Jun 25 16:30:20 2000 +0000

  * Added cd and dat format shortcuts

commit 35c7212
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Jun 22 06:07:13 2000 +0000

  * Conformance to new pcm_info semantic

commit c410bf9
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jun 21 15:05:06 2000 +0000

  * Reorganized options and added support for pcm_multi

commit 2c3d1a0
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Jun 21 15:04:15 2000 +0000

  * Remove device, stream, subdevice selection and incorporated in info
    structs

commit 2174176
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Jun 11 13:33:16 2000 +0000

  * Fixed oversized silence filling

commit 5cc8a51
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Jun 10 12:39:52 2000 +0000

  * Changed ALSA unit from bytes to frames. Splitted mmap control
    structs. Better midlevel interrupt handler

commit 0ac6348
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jun 5 11:38:02 2000 +0000

  * Renamed status field in state

commit fb8e187
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Jun 4 16:26:59 2000 +0000

  * Commented out useless (and wrong) munmap

commit 5825302
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu Jun 1 11:37:43 2000 +0000

  * Uros Bizjak <uros@kss-loka.si>: - fixes compilation (format.voices
    -> format.channels) - ntohl -> BE_INT for AU files - recoded
    AU_MAGIC header for AU files

commit 1b4bd70
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 30 10:12:59 2000 +0000

  * - Fix big-endian bug in aplay/arecord.

commit 048c200
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon May 29 18:54:23 2000 +0000

  * Better .wav detection

commit 749b454
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat May 27 16:52:19 2000 +0000

  * Better names for ALSA API. Added min_fragments, max_fragments.

commit c2d2e5b
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 26 14:37:27 2000 +0000

  * - use tar options instead of actually changing owner when packing.

commit c8e5bf9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri May 26 11:53:14 2000 +0000

  * - Fix typos in endian condition check   (XXX_ENDIAN ->
    SND_XXX_ENDIAN)

commit 2a0c823
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu May 25 08:36:59 2000 +0000

  * Moved format descriptions out of kernel space. Exported setup dump
    function.

commit a44c389
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 23 12:52:07 2000 +0000

  * Removed frag_* fields. Collapsed I/O plugins. Added to mmap plugin
    support for stream mode

commit 23221cc
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu May 18 14:42:43 2000 +0000

  * Initial implementation of non interleaved play/record

commit 2576577
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Thu May 18 14:42:06 2000 +0000

  * Updated TODO

commit ba5e41f
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 16 18:06:39 2000 +0000

  * Description fix

commit f2644fa
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 16 16:00:51 2000 +0000

  * Propagated field name change

commit 3b5c5b2
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue May 16 10:46:11 2000 +0000

  * - fix alsamixer bug which causes SEGFAULT when volume bar is
    changed. - fix aplay for reading WAVE file properly even on
    big-endian machine.

commit 8bc5325
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri May 12 17:51:56 2000 +0000

  * Fixed error destination

commit aa812e4
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri May 12 17:51:28 2000 +0000

  * Fixed switch LIST handling

commit 789a35d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed May 10 09:36:35 2000 +0000

  * Added SND_SW_ITEM_LIST support.

commit b625125
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 9 17:25:41 2000 +0000

  * Added TODO to dist

commit ae3835f
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue May 9 10:42:12 2000 +0000

  * Added TODO files

commit b77ca41
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 8 18:54:14 2000 +0000

  * Merged pcm2 branch.

commit 228bf51
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 17 18:55:33 2000 +0000

  * MUX1 & MUX2 renaming...

commit 09502f8
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Apr 17 17:40:06 2000 +0000

  * Added mmap'able plugins

commit ac470ca
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Apr 16 15:37:30 2000 +0000

  * Changed mmap control. Removed *right* useless mode setting

commit 84d62fd
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sun Apr 16 11:07:42 2000 +0000

  * Removed misleading and useless mode setting

commit 16b31a3
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Wed Apr 12 20:44:14 2000 +0000

  * Make explicit an assert

commit 7c705b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Apr 3 18:19:13 2000 +0000

  * 0.6.0pre1

commit 48823e9
Author: Takashi Iwai <tiwai@suse.de>
Date:   Sat Mar 18 18:00:37 2000 +0000

  * extension of amixer set command: - add front, rear, center, woofer
    channel selection - left and right volumes can be given separately -
    volumes can be increased/decreased relatively with + or - suffix

commit afc0872
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 11 21:34:55 2000 +0000

  * 0.5.6

commit f7c4aad
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Mar 10 15:45:09 2000 +0000

  * alsamixer supports rear, center and woofer speakers

commit 670aace
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 1 18:13:35 2000 +0000

  * 0.5.5

commit 8b42d21
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Mar 1 18:13:14 2000 +0000

  * Changed the switch interface. Every switches are accessible via one
    ioctl.

commit d388527
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 27 13:40:15 2000 +0000

  * 0.5.4

commit 9357584
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Feb 27 13:35:45 2000 +0000

  * .tar.gz -> .tar.bz2

commit 35723ec
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Feb 22 17:36:35 2000 +0000

  * Fixed return codes (added EPIPE).

commit 168728f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 16 21:28:33 2000 +0000

  * Added dist-hook..

commit dd2a8b0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 16 21:06:08 2000 +0000

  * pack -> .bz2

commit 03eb77f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 16 20:56:05 2000 +0000

  * 0.5.3

commit 0092ec6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 7 18:05:52 2000 +0000

  * Fixed mono mute & capture...

commit 2ce1b9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 4 12:37:39 2000 +0000

  * 0.5.2

commit e23566e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Feb 4 10:09:38 2000 +0000

  * Optimization issues.. Removed -lasound.

commit 39100f1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jan 29 10:21:51 2000 +0000

  * Added support for subtypes...

commit fcdb2f4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jan 28 22:46:00 2000 +0000

  * Fix for the -o parameter. Fix int the capture error handling.

commit 079252a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jan 27 21:41:36 2000 +0000

  * Fixed some trouble with USER switch and added USER_READ_ONLY switch
    support.

commit 6016056
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jan 22 18:57:49 2000 +0000

  * 0.5.1

commit 5f6d6e7
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Jan 18 08:45:43 2000 +0000

  * Added group and elements sorting

commit 900d2fc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 16 22:10:02 2000 +0000

  * 0.5.0

commit 1782db0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 11 17:43:20 2000 +0000

  * 0.5.0pre2

commit a77f0e9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 11 13:28:15 2000 +0000

  * Small cosmetic changes...

commit 66c3b06
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 11 13:19:03 2000 +0000

  * Fixes for PCM capture switches...

commit f9d8144
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 10 14:34:04 2000 +0000

  * Also the switch name is shown..

commit 5571280
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 10 13:29:00 2000 +0000

  * jcu.cz -> alsa-project.org modifications & other cleanups

commit 88cf23a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 10 13:10:23 2000 +0000

  * 0.5.0pre1

commit 4b7b384
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Jan 10 08:16:32 2000 +0000

  * fixed function names

commit 366a013
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jan 8 21:56:36 2000 +0000

  * Compilation fix (removed snd_mixer_info_t->switches)

commit 8344e31
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Jan 8 20:11:40 2000 +0000

  * - splitted pcm channels in two different devices to handle mmap
    correctly - removed mmap control device - reordered pcm shared and
    not shared code - changed O_WRONLY oss pcm modifier in a more
    symmetric and elegant way - changed slightly control interface -
    added snd-debug-check - uniformed null pointer check - fixed a typo
    in linear plugin

commit 8e2b523
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jan 5 13:46:58 2000 +0000

  * GTK mixer programs xamixer2 & gamix were removed. The reason is the
    difficult maintaince.

commit fa88a97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 4 12:39:00 2000 +0000

  * Moved aconnect and aseqnet sequencer utilities into the alsa-utils
    package.

commit 9417948
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 4 12:20:49 2000 +0000

  * Fixes for the dynamic group update. Fixed the mono group handling.

commit 277a86c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 3 22:40:51 2000 +0000

  * The alsamixer program is back for the mixer v2 API (group control).
    This program has a lot of bugs:   - dynamic updates handling   -
    mono volume control handling

commit 744b833
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Tue Dec 28 14:52:56 1999 +0000

  * Added right support for timelimit in 24 and 32 bits linear samples

commit c0bd9ad
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Dec 26 17:27:47 1999 +0000

  * MMAP changes (/dev/snd/pcmcontrol). Removed unregister callback from
    snd_minor_t.

commit 2265c96
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Sat Dec 25 15:27:50 1999 +0000

  * Added raw format specification

commit 9c01963
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Dec 24 10:55:55 1999 +0000

  * Fixed alsactl parsing for empty mixers

commit 6a4a9a0
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Fri Dec 24 10:55:12 1999 +0000

  * Fixed alsactl store for the second (and further) card

commit 0dcb344
Author: Abramo Bagnara <abramo@alsa-project.org>
Date:   Mon Dec 13 20:03:30 1999 +0000

  * fixes for coping with zero elements or groups

commit c1f35c1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Dec 13 19:17:52 1999 +0000

  * Rerouted 'Using soundcard ...' message to stderr

commit 1057ea8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 11 20:36:14 1999 +0000

  * Added snd_pcm_get_format_name() to alsa-lib.

commit a56730c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 11 11:43:22 1999 +0000

  * Added longname printf

commit 679338b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 9 16:28:24 1999 +0000

  * Small changes for group setup..

commit 8bb1860
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 7 10:10:07 1999 +0000

  * Abramo Bagnara <abramo@alsa-project.org> Tue, 07 Dec 1999 08:44:05
    +0100 - pcm mixer elements splitted for subchannel handling - small
    fix to pcm device element

commit d162b10
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 30 09:26:00 1999 +0000

  * PCM loopback API improved and added back the functionality. Some
    mmap() changes for the OSS emulation.

commit 924b1d9
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 28 18:04:29 1999 +0000

  * ADPCM & special formats..

commit 96a2ea5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Nov 25 11:24:22 1999 +0000

  * Fixed small bug..

commit 5540873
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 14 20:25:09 1999 +0000

  * More fixes for capture

commit a90832d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 14 19:25:45 1999 +0000

  * Added new formats...

commit cbc2d3a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 8 23:19:37 1999 +0000

  * Fixed mmaped access..

commit af6ec33
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 8 08:03:30 1999 +0000

  * Small compilation fix...

commit a764bee
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 7 23:49:44 1999 +0000

  * Fixed underrun...

commit bf4f126
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 6 23:47:10 1999 +0000

  * Merged pcm-v2 branch into main CVS tree.

commit 5a6a083
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 6 23:45:44 1999 +0000

  * Updates...

commit b629d61
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 6 23:17:05 1999 +0000

  * Fri, 05 Nov 1999 22:51:28 +0900 Fumihiko Murata
    <fmurata@p1.tcnet.ne.jp>  This is patch of gamix.  * support pan
    controll  * support dynamic element  * config file select (-c
    option)  * mixer reorder

commit 5bf7153
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Sat Oct 23 15:31:23 1999 +0000

  * Added stubs for the mixer notification callbacks.  Will be adding
    the actual code to update the mixer interface soon.

commit 81cdad0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 26 12:59:22 1999 +0000

  * 0.5.0

commit de6275e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 26 12:36:22 1999 +0000

  * 0.4.1

commit 97e99f2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Aug 22 13:34:40 1999 +0000

  * PCM SUBDEVICE selection enhancements

commit 4e688f3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 16 18:37:46 1999 +0000

  * Fumihiko Murata <fmurata@p1.tcnet.ne.jp> Mon, 16 Aug 1999 22:01:17
    +0900 - tone control changes

commit 13963ab
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 10 08:39:26 1999 +0000

  * Rear depth changes..

commit f3c4578
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Aug 7 11:33:20 1999 +0000

  * Added depth_rear..

commit b25dbff
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 5 15:10:23 1999 +0000

  * Mux fixes...

commit 095f7b8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Aug 3 15:45:47 1999 +0000

  * Added woofer...

commit 338bb62
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 2 22:03:37 1999 +0000

  * Removed...

commit 0b9109d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 2 21:58:27 1999 +0000

  * Small fixes...

commit b4524d7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jul 31 17:24:59 1999 +0000

  * Fixed a small MUX1 bug..

commit ac7440d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 30 22:24:24 1999 +0000

  * More fixes..

commit 724603a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 30 21:58:34 1999 +0000

  * Fixes for the conversion routines - John Fulmer <jfulmer@appin.org>

commit 2e2c534
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 30 13:37:22 1999 +0000

  * Fix for tone control

commit 2dd5cd1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jul 30 08:28:02 1999 +0000

  * Fix for configuration window from Steve Ratcliffe
    <steve@parabola.demon.co.uk>

commit 501591b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 29 20:11:15 1999 +0000

  * Added gamix...

commit b55e471
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 29 18:00:14 1999 +0000

  * Small '-l' fixes...

commit 544af07
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 29 14:54:11 1999 +0000

  * Added MUX2 element handling...

commit 5c97980
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 27 18:37:18 1999 +0000

  * help updates

commit 355635e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 27 18:35:24 1999 +0000

  * version: 0.4.0

commit b73edfd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 27 18:35:09 1999 +0000

  * Documentation updates and some help updates..

commit 0b5692b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 22:23:42 1999 +0000

  * More mixer updates (GUS), OSS API emulation..

commit 746d21d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 18:10:19 1999 +0000

  * More mixer updates (probably last asound.h changes for group
    enhancements)...

commit 124906b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 15:04:46 1999 +0000

  * More mixer updates: GUS

commit 5eab4fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 10:49:40 1999 +0000

  * More mixer updates and some fixes...

commit 32f033d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Jul 22 08:37:35 1999 +0000

  * Removed -fomit-frame-pointer..

commit a519f11
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Jul 21 11:52:55 1999 +0000

  * More mixer (group control) changes...

commit fab3731
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jul 20 22:00:59 1999 +0000

  * Mixer interface updates (group extensions)..

commit 2a4fa6e
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Sun Jun 27 22:17:37 1999 +0000

  * applied Anders Semb Hermansen's patch

commit 551d49e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jun 13 10:09:54 1999 +0000

  * Compilation fixes...

commit 55708f7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jun 5 09:38:26 1999 +0000

  * 0.3.1; fix for pack

commit d6efdc3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 4 15:03:55 1999 +0000

  * pack fix

commit 7970fd2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 4 14:53:01 1999 +0000

  * GTK build fixed...

commit 8cf3fb1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Jun 4 12:25:32 1999 +0000

  * Version 0.3.0

commit b160dc5
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Thu Jun 3 21:26:41 1999 +0000

  * This attempt to get the autoconf working for XAmixer2 should work
    now.  Sorry that it took so many commits.

commit 4311d70
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Thu Jun 3 20:55:54 1999 +0000

  * Attempting to integrate XAmixer2 into the alsa-utils autoconf
    system, mark II.

commit cc52336
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Thu Jun 3 20:30:31 1999 +0000

  * Attempting to integrate XAmixer2 into the alsa-utils autoconf
    system, fixing a really stupid typo.

commit b54cb63
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Thu Jun 3 20:28:05 1999 +0000

  * Attempting to integrate XAmixer2 into the alsa-utils autoconf
    system.

commit ece4133
Author: Christopher Lansdown <lansdoct@cs.alfred.edu>
Date:   Thu Jun 3 19:51:06 1999 +0000

  * Added XAmixer2 to the alsa utilities tree.  This should be all of
    the files necessary to work.  Wish me luck.

commit 67f5427
Author: Frank van de Pol <fvdpol@home.nl>
Date:   Wed Jun 2 00:40:31 1999 +0000

  * Changed data type of alsa-lib handles from 'void *' to the specific
    type for the handle in use. This should be more type-safe as the
    compiler will perform checking on type now.

commit 7a41ac1
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 11 22:18:49 1999 +0000

  * Changed e-mail from <perex@jcu.cz> to <perex@suse.cz>..

commit d01f8aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue May 11 22:16:59 1999 +0000

  * URL fixes..

commit 56c3513
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon May 10 12:29:59 1999 +0000

  * Small fixes - Ville Syrjala <villes@syrjala.pp.sci.fi>

commit 61e8186
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 9 23:15:49 1999 +0000

  * * HAL2 driver  Ulf Carlsson <ulfc@thepuffingroup.com> * Timer API
    changes/cleanups * Sequencer API changes/cleanups   - queue ioctls
    changed   - instrument events added

commit 2e02ead
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun May 2 16:21:40 1999 +0000

  * Mixer v2.0 merged to the main CVS tree...

commit daab0cd
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Mar 27 19:45:01 1999 +0000

  * New universal switch v2.0 interface.

commit 9b9ccc7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Mar 9 13:54:32 1999 +0000

  * EGCS fix...

commit 4db1fd0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Mar 8 16:51:53 1999 +0000

  * Merged new-mixer branch...

commit 1bf9bb4
Author: Tim Janik <timj@gtk.org>
Date:   Sun Feb 21 18:57:06 1999 +0000

  * * Sun Feb 21 19:55:01 1999  Tim Janik  <timj@gtk.org>  *  *      *
    bumped version to 0.10.  *  *      * added scrollable text views.  *
         we now feature an F1 Help screen and an F2 /proc info screen. 
    *      the help screen does still require lots of work though.  *  *
         * keys are evaluated view specific now.  *  *      * we feature
    meta-keys now, e.g. M-Tab as back-tab.  *  *      * if we are
    already in channel view and the user still hits Return,  *      we
    do a refresh nonetheless, since 'r'/'R' got removed as a redraw  *  
       key (reserved for record volumes). 'l'/'L' is still preserved
    though,  *      and actually needs to be to e.g. get around the
    xterm bold-artefacts.  *  *      * support terminals that can't
    write into lower right corner.  *  *      * undocumented '-s' option
    that will keep the screen to its  *      minimum size, usefull for
    debugging only.  *

commit d47938e
Author: Tim Janik <timj@gtk.org>
Date:   Sun Feb 21 04:41:27 1999 +0000

  * * Sun Feb 21 02:23:52 1999  Tim Janik  <timj@gtk.org>  *  *      *
    don't abort if snd_mixer_* functions failed due to EINTR,  *      we
    simply retry on the next cycle. hopefully asoundlib preserves  *    
     errno states correctly (Jaroslav can you asure that?).  *  *      *
    feature WINCH correctly, so we make a complete relayout on  *     
    screen resizes. don't abort on too-small screen sizes anymore,  *   
      but simply beep.  *  *      * redid the layout algorithm to fix
    some bugs and to preserve  *      space for a flag indication line.
    the channels are  *      nicer spread horizontally now (i.e. we also
    pad on the left and  *      right screen bounds now).  *  *      *
    various other minor fixes.  *  *      * indicate whether ExactMode
    is active or not.  *  *      * fixed coding style to follow the GNU
    coding conventions.  *  *      * reverted record volume changes
    since they broke ExactMode display.  *  *      * composed ChangeLog
    entries.

commit 4775b46
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 17 09:45:08 1999 +0000

  * ACLOCAL_FLAGS + arguments

commit 88cdd83
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Feb 15 15:42:34 1999 +0000

  * Changes for record volume...

commit 87c7c4f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Feb 10 10:06:34 1999 +0000

  * Added '-' file as stdin/stdout..

commit a666670
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:25:02 1999 +0000

  * Added extra dist..

commit fa2058f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:22:35 1999 +0000

  * Added

commit 1793357
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:21:40 1999 +0000

  * Added.

commit 0dce8d0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:20:46 1999 +0000

  * Removed

commit 0456adf
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:19:51 1999 +0000

  * Rights..

commit 21d2b56
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:15:00 1999 +0000

  * Next updates for automake..

commit 4d8b1ba
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 31 13:14:19 1999 +0000

  * Move to automake...

commit d915816
Author: Chris Cannam <cannam@all-day-breakfast.com>
Date:   Sat Jan 30 19:12:34 1999 +0000

  * Convert alsa-utils to use automake

commit 69f215e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Jan 30 17:28:44 1999 +0000

  * Updates for write path..

commit 20ead97
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 24 17:01:29 1999 +0000

  * 0.3.0pre3

commit 5342ebb
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 24 16:53:38 1999 +0000

  * 0.3.0pre1

commit df93ac4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Jan 24 16:48:15 1999 +0000

  * Removed debugging message..

commit 2bf417a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Jan 19 10:08:51 1999 +0000

  * Fixed return code...

commit 2580bda
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 18 22:43:25 1999 +0000

  * Some patches for clean compilation...

commit 288c349
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 18 22:41:28 1999 +0000

  * Fixed small bug..

commit cf069e3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 18 22:14:03 1999 +0000

  * Initial version..

commit 084dc84
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Jan 18 21:20:59 1999 +0000

  * Return codes changed again..

commit 0e8adec
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 12 20:55:42 1998 +0000

  * Removed debugging message..

commit 74a386d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 12 20:51:12 1998 +0000

  * Little changes...

commit 511d11e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Dec 10 09:12:59 1998 +0000

  * Little changes...

commit 883bce0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Dec 9 14:44:27 1998 +0000

  * Fixes in %setup...

commit ba6231b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 8 11:49:21 1998 +0000

  * New version...

commit d55abb2
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Dec 5 11:19:22 1998 +0000

  * Fixes for multiple soundcards and joystick address.

commit 937b3ca
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 1 10:29:58 1998 +0000

  * Added manual page for alsactl...

commit 17452e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Dec 1 10:26:49 1998 +0000

  * Initial version...

commit 8773d37
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 15:17:45 1998 +0000

  * Coding style...

commit fbbaa72
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 15:13:57 1998 +0000

  * Coding style...

commit 9fd66fc
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 14:44:31 1998 +0000

  * Added directory with manual pages...

commit 57fc84e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 14:44:04 1998 +0000

  * Added manual pages for alsamixer and aplay/arecord..

commit 221a13f
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 14:43:15 1998 +0000

  * Initial version...

commit 1cf6e9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 27 14:41:42 1998 +0000

  * Changed Speed to Rate...

commit 552cb61
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 25 20:35:55 1998 +0000

  * Fix for -V switch...

commit 9f50cd5
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 25 19:57:50 1998 +0000

  * Changes for CS4237B/38B IEC-958 output setup...

commit 18fa888
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Nov 20 20:02:51 1998 +0000

  * Now is alsactl restore <card> hhandled ok when configuration file
    doesn't exist...

commit fc7f186
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 17 21:08:34 1998 +0000

  * Little fix..

commit b211f9a
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 15 15:34:33 1998 +0000

  * 0.2.0 ...

commit bb0990b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 15 15:34:02 1998 +0000

  * 0.2.0

commit ece5f68
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Nov 14 16:11:19 1998 +0000

  * Changed return codes...

commit 4809266
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 11 20:26:51 1998 +0000

  * Fixed one-card operations...

commit 6c9844d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 11 20:17:51 1998 +0000

  * ChangeLog for 0.0.8

commit 290bc73
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 11 20:16:24 1998 +0000

  * Fix for integer type switches...

commit 350e100
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 11 20:16:06 1998 +0000

  * Fixes...

commit c88e363
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Nov 10 13:26:58 1998 +0000

  * 0.0.8

commit 89cbc35
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Nov 9 14:06:10 1998 +0000

  * Removed debugging message...

commit 18c2009
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 4 19:43:45 1998 +0000

  * Stereo record source and route selection...

commit 085591d
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 4 18:08:08 1998 +0000

  * Little changes in #include section...

commit 68aeb83
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 4 18:06:38 1998 +0000

  * Removed debugging options..

commit 56d558b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Wed Nov 4 18:06:15 1998 +0000

  * CHANGELOG renamed to ChangeLog

commit 25f5f49
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Nov 1 23:24:45 1998 +0000

  * Changed mixer interface...

commit cf96e41
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 31 20:07:26 1998 +0000

  * Added /usr/sbin directory...

commit 6c20f0e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 31 19:51:05 1998 +0000

  * Added IEC958 support for Cirrus Logic..

commit ec275f8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sat Oct 31 19:50:16 1998 +0000

  * Changed version...

commit 171a891
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:50:10 1998 +0000

  * Little cleanups in callbacks...

commit 742b861
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:49:24 1998 +0000

  * Added flex and bison checking...

commit ae1d99b
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:48:57 1998 +0000

  * Version 0.0.7

commit 481656e
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:48:23 1998 +0000

  * Added flex and bison...

commit 69de280
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:47:56 1998 +0000

  * Added alsactl program...

commit 72ff837
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Oct 29 22:45:59 1998 +0000

  * Initial version of alsactl...

commit eea08fa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 6 10:19:45 1998 +0000

  * added

commit d57fc77
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 6 10:19:26 1998 +0000

  * Man page for amixer is now installed.

commit 4bba0aa
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Tue Oct 6 10:19:04 1998 +0000

  * Added man page..

commit 3881bed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Oct 2 08:42:30 1998 +0000

  * Initial file.

commit 5da0e73
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Sep 24 20:46:12 1998 +0000

  * Pack saves version to root dir now...

commit 14a84a0
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Sep 21 17:50:41 1998 +0000

  * Updated for cvsclean (mrproper)..

commit 5482bc3
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Sep 20 08:05:24 1998 +0000

  * Fixed -m option...

commit 0b56033
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 14:41:33 1998 +0000

  * Updated for release (added mrproper).

commit 4960b57
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 14:26:44 1998 +0000

  * Notes for 0.0.6.

commit eeae799
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 14:23:56 1998 +0000

  * Changed include/config.h to include/aconfig.h in cvsclean.

commit 3926cf4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 14:23:13 1998 +0000

  * Removed...

commit d63ab61
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Mon Aug 31 09:21:36 1998 +0000

  * config.h renamed to aconfig.h due to conflict with glibc...

commit efd0fa4
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Aug 30 21:10:35 1998 +0000

  * Big renaming - from sound to asound...

commit c03f55c
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Sun Aug 30 21:10:06 1998 +0000

  * Removed...

commit e553542
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Fri Aug 28 14:08:47 1998 +0000

  * Little changes for new PCM API.

commit 55a39d6
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 19:10:31 1998 +0000

  * Fixed bug with space in mixer device name.

commit adcf1ed
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 17:48:03 1998 +0000

  * Removed publish destonation...

commit f003ef7
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 16:12:52 1998 +0000

  * Removed Files: 	amixer/amixer aplay/aplay

commit 063d848
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 16:11:40 1998 +0000

  * Removed Files:  	config.cache config.log config.status

commit d1f5c90
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 16:06:45 1998 +0000

  * Removed Files:  	alsa-lib/configure alsa-lib/utils/alsa-lib.spec 
    alsa-utils/configure alsa-utils/utils/alsa-utils.spec

commit fbb20e8
Author: Jaroslav Kysela <perex@perex.cz>
Date:   Thu Aug 13 15:43:39 1998 +0000

  * Initial revision
